#### Read-only configurations ####
APIRateLimit
ARPPingKernelManaged              : false
ARPPingRefreshPeriod              : 30000000000
AddressScopeMax                   : 252
AgentHealthPort                   : 9879
AgentLabels                       : []
AgentNotReadyNodeTaintKey         : node.cilium.io/agent-not-ready
AllocatorListTimeout              : 180000000000
AllowICMPFragNeeded               : true
AllowLocalhost                    : always
AnnotateK8sNode                   : false
AutoCreateCiliumNodeResource      : true
BGPAnnounceLBIP                   : false
BGPAnnouncePodCIDR                : false
BGPConfigPath                     : /var/lib/cilium/bgp/config.yaml
BPFCompileDebug                   : 
BPFMapEventBuffers                : <nil>
BPFMapsDynamicSizeRatio           : 0.0025
BPFRoot                           : /sys/fs/bpf
BPFSocketLBHostnsOnly             : false
BpfDir                            : /var/lib/cilium/bpf
BypassIPAvailabilityUponRestore   : false
CGroupRoot                        : /run/cilium/cgroupv2
CNIChainingMode                   : 
CNIExclusive                      : false
CNILogFile                        : 
CRDWaitTimeout                    : 300000000000
CTMapEntriesGlobalAny             : 65536
CTMapEntriesGlobalTCP             : 131072
CTMapEntriesTimeoutAny            : 60000000000
CTMapEntriesTimeoutFIN            : 10000000000
CTMapEntriesTimeoutSVCAny         : 60000000000
CTMapEntriesTimeoutSVCTCP         : 21600000000000
CTMapEntriesTimeoutSVCTCPGrace    : 60000000000
CTMapEntriesTimeoutSYN            : 60000000000
CTMapEntriesTimeoutTCP            : 21600000000000
CertDirectory                     : /var/run/cilium/certs
CgroupPathMKE                     : 
ClockSource                       : 0
ClusterHealthPort                 : 4240
ClusterID                         : 0
ClusterMeshConfig                 : /var/lib/cilium/clustermesh/
ClusterMeshHealthPort             : 0
ClusterName                       : cilium-cilium-3609902939
CompilerFlags                     : []
ConfigDir                         : /tmp/cilium/config-map
ConfigFile                        : 
ConntrackGCInterval               : 0
CreationTime                      : 2022-12-03T19:46:11.473577064Z
DNSMaxIPsPerRestoredRule          : 1000
DNSPolicyUnloadOnShutdown         : false
DNSProxyConcurrencyLimit          : 0
DNSProxyConcurrencyProcessingGracePeriod: 0
DatapathMode                      : veth
Debug                             : true
DebugVerbose                      : []
DeriveMasqIPAddrFromDevice        : 
Devices                           : []
DirectRoutingDevice               : 
DisableCNPStatusUpdates           : true
DisableCiliumEndpointCRD          : false
DisableEnvoyVersionCheck          : false
DisableIptablesFeederRules        : []
DryMode                           : false
EgressMasqueradeInterfaces        : 
EgressMultiHomeIPRuleCompat       : false
EnableAutoDirectRouting           : false
EnableAutoProtectNodePortRange    : true
EnableBBR                         : false
EnableBGPControlPlane             : false
EnableBPFClockProbe               : true
EnableBPFMasquerade               : false
EnableBPFTProxy                   : false
EnableBandwidthManager            : false
EnableCiliumEndpointSlice         : false
EnableCustomCalls                 : false
EnableEndpointHealthChecking      : true
EnableEndpointRoutes              : false
EnableEnvoyConfig                 : false
EnableExternalIPs                 : false
EnableGatewayAPI                  : false
EnableHealthCheckNodePort         : true
EnableHealthChecking              : true
EnableHealthDatapath              : false
EnableHostFirewall                : false
EnableHostIPRestore               : true
EnableHostLegacyRouting           : true
EnableHostPort                    : false
EnableHubble                      : true
EnableHubbleOpenMetrics           : false
EnableHubbleRecorderAPI           : true
EnableICMPRules                   : true
EnableIPMasqAgent                 : false
EnableIPSec                       : true
EnableIPv4                        : true
EnableIPv4EgressGateway           : false
EnableIPv4FragmentsTracking       : true
EnableIPv4Masquerade              : true
EnableIPv6                        : false
EnableIPv6BIGTCP                  : false
EnableIPv6Masquerade              : false
EnableIPv6NDP                     : false
EnableIdentityMark                : true
EnableIngressController           : false
EnableK8sTerminatingEndpoint      : true
EnableL2NeighDiscovery            : true
EnableL7Proxy                     : true
EnableLocalNodeRoute              : true
EnableLocalRedirectPolicy         : false
EnableMKE                         : false
EnableMonitor                     : true
EnableNodePort                    : false
EnablePMTUDiscovery               : false
EnablePolicy                      : default
EnableRecorder                    : false
EnableRemoteNodeIdentity          : true
EnableRuntimeDeviceDetection      : false
EnableSCTP                        : false
EnableSRv6                        : false
EnableSVCSourceRangeCheck         : false
EnableServiceTopology             : false
EnableSessionAffinity             : false
EnableSocketLB                    : false
EnableSocketLBPeer                : false
EnableSocketLBTracing             : false
EnableStaleCiliumEndpointCleanup  : true
EnableStatelessNat46X64           : false
EnableTracing                     : false
EnableUnreachableRoutes           : false
EnableVTEP                        : false
EnableWellKnownIdentities         : false
EnableWireguard                   : false
EnableWireguardUserspaceFallback  : false
EnableXDPPrefilter                : false
EnableXTSocketFallback            : true
EncryptInterface                  : []
EncryptNode                       : false
EndpointGCInterval                : 300000000000
EndpointQueueSize                 : 25
EndpointStatus
EnvoyConfigTimeout                : 120000000000
EnvoyLog                          : 
EnvoyLogPath                      : 
EnvoySecretNamespaces             : []
ExcludeLocalAddresses             : <nil>
ExternalClusterIP                 : false
FQDNProxyResponseMaxDelay         : 100000000
FQDNRegexCompileLRUSize           : 1024
FQDNRejectResponse                : refused
FixedIdentityMapping
ForceLocalPolicyEvalAtSource      : false
FragmentsMapEntries               : 8192
HTTP403Message                    : 
HTTPIdleTimeout                   : 0
HTTPMaxGRPCTimeout                : 0
HTTPNormalizePath                 : true
HTTPRequestTimeout                : 3600
HTTPRetryCount                    : 3
HTTPRetryTimeout                  : 0
HostV4Addr                        : 
HostV6Addr                        : 
HubbleEventBufferCapacity         : 4095
HubbleEventQueueSize              : 2048
HubbleExportFileCompress          : false
HubbleExportFileMaxBackups        : 5
HubbleExportFileMaxSizeMB         : 10
HubbleExportFilePath              : 
HubbleListenAddress               : :4244
HubbleMetrics                     : []
HubbleMetricsServer               : 
HubblePreferIpv6                  : false
HubbleRecorderSinkQueueSize       : 1024
HubbleRecorderStoragePath         : /var/run/cilium/pcaps
HubbleSkipUnknownCGroupIDs        : true
HubbleSocketPath                  : /var/run/cilium/hubble.sock
HubbleTLSCertFile                 : /var/lib/cilium/tls/hubble/server.crt
HubbleTLSClientCAFiles            : [/var/lib/cilium/tls/hubble/client-ca.crt]
HubbleTLSDisabled                 : false
HubbleTLSKeyFile                  : /var/lib/cilium/tls/hubble/server.key
IPAM                              : cluster-pool
IPAllocationTimeout               : 120000000000
IPMasqAgentConfigPath             : /etc/config/ip-masq-agent
IPSecKeyFile                      : /etc/ipsec/keys
IPTablesLockTimeout               : 5000000000
IPTablesRandomFully               : false
IPv4NativeRoutingCIDR             : <nil>
IPv4NodeAddr                      : auto
IPv4PodSubnets                    : []
IPv4Range                         : auto
IPv4ServiceRange                  : auto
IPv6ClusterAllocCIDR              : f00d::/64
IPv6ClusterAllocCIDRBase          : f00d::
IPv6MCastDevice                   : 
IPv6NativeRoutingCIDR             : <nil>
IPv6NodeAddr                      : auto
IPv6PodSubnets                    : []
IPv6Range                         : auto
IPv6ServiceRange                  : auto
IdentityAllocationMode            : crd
IdentityChangeGracePeriod         : 5000000000
IdentityRestoreGracePeriod        : 600000000000
InstallEgressGatewayRoutes        : false
InstallIptRules                   : true
InstallNoConntrackIptRules        : false
JoinCluster                       : false
K8sEnableK8sEndpointSlice         : true
K8sEnableLeasesFallbackDiscovery  : false
K8sEventHandover                  : false
K8sNamespace                      : kube-system
K8sRequireIPv4PodCIDR             : true
K8sRequireIPv6PodCIDR             : false
K8sServiceCacheSize               : 128
K8sServiceProxyName               : 
K8sSyncTimeout                    : 180000000000
K8sWatcherEndpointSelector        : metadata.name!=kube-scheduler,metadata.name!=kube-controller-manager,metadata.name!=etcd-operator,metadata.name!=gcp-controller-manager
KVStore                           : 
KVStoreOpt
KVstoreConnectivityTimeout        : 120000000000
KVstoreKeepAliveInterval          : 300000000000
KVstoreLeaseTTL                   : 900000000000
KVstoreMaxConsecutiveQuorumErrors : 2
KVstorePeriodicSync               : 300000000000
KeepConfig                        : false
KernelHz                          : 250
KubeProxyReplacement              : disabled
KubeProxyReplacementHealthzBindAddr: 
LBAffinityMapEntries              : 0
LBBackendMapEntries               : 0
LBDevInheritIPAddr                : 
LBMaglevMapEntries                : 0
LBMapEntries                      : 65536
LBRevNatEntries                   : 0
LBServiceMapEntries               : 0
LBSourceRangeMapEntries           : 0
LabelPrefixFile                   : 
Labels                            : []
LibDir                            : /var/lib/cilium
LoadBalancerDSRDispatch           : opt
LoadBalancerDSRL4Xlate            : frontend
LoadBalancerRSSv4
	IP                        : 
	Mask                      : <nil>
LoadBalancerRSSv4CIDR             : 
LoadBalancerRSSv6
	IP                        : 
	Mask                      : <nil>
LoadBalancerRSSv6CIDR             : 
LocalRouterIPv4                   : 
LocalRouterIPv6                   : 
LogDriver                         : []
LogOpt
LogSystemLoadConfig               : false
Logstash                          : false
LoopbackIPv4                      : 169.254.42.1
MTU                               : 0
MaglevHashSeed                    : JLfvgnHc2kaSUFaI
MaglevTableSize                   : 16381
MaxControllerInterval             : 0
MetricsConfig
	APIInteractionsEnabled    : Enabled
	APILimiterAdjustmentFactor: Enabled
	APILimiterProcessedRequests: Enabled
	APILimiterProcessingDuration: Enabled
	APILimiterRateLimit       : Enabled
	APILimiterRequestsInFlight: Enabled
	APILimiterWaitDuration    : Enabled
	APILimiterWaitHistoryDuration: Disabled
	ArpingRequestsTotalEnabled: Disabled
	BPFMapOps                 : Enabled
	BPFMapPressure            : Disabled
	BPFSyscallDurationEnabled : Disabled
	ConntrackDumpResetsEnabled: Enabled
	ConntrackGCDurationEnabled: Enabled
	ConntrackGCKeyFallbacksEnabled: Enabled
	ConntrackGCRunsEnabled    : Enabled
	ConntrackGCSizeEnabled    : Enabled
	ControllerRunsDurationEnabled: Enabled
	ControllerRunsEnabled     : Enabled
	DropBytesEnabled          : Enabled
	DropCountEnabled          : Enabled
	EndpointPropagationDelayEnabled: Enabled
	EndpointRegenerationCountEnabled: Enabled
	EndpointRegenerationTimeStatsEnabled: Enabled
	EndpointStateCountEnabled : Enabled
	ErrorsWarningsEnabled     : Enabled
	EventLagK8sEnabled        : Enabled
	EventTSAPIEnabled         : Disabled
	EventTSContainerdEnabled  : Disabled
	EventTSEnabled            : Enabled
	FQDNActiveIPs             : Disabled
	FQDNActiveNames           : Disabled
	FQDNActiveZombiesConnections: Disabled
	FQDNGarbageCollectorCleanedTotalEnabled: Enabled
	FQDNSemaphoreRejectedTotal: Disabled
	ForwardBytesEnabled       : Enabled
	IPCacheErrorsTotalEnabled : Enabled
	IPCacheEventsTotalEnabled : Disabled
	IdentityCountEnabled      : Enabled
	IpamEventEnabled          : Enabled
	KVStoreEventsQueueDurationEnabled: Enabled
	KVStoreOperationsDurationEnabled: Enabled
	KVStoreQuorumErrorsEnabled: Enabled
	KubernetesAPICallsEnabled : Enabled
	KubernetesAPIInteractionsEnabled: Enabled
	KubernetesCNPStatusCompletionEnabled: Enabled
	KubernetesEventProcessedEnabled: Enabled
	KubernetesEventReceivedEnabled: Enabled
	KubernetesTerminatingEndpointsEnabled: Enabled
	KubernetesTimeBetweenEventsEnabled: Disabled
	NoOpCounterVecEnabled     : Enabled
	NoOpObserverVecEnabled    : Enabled
	NodeConnectivityLatencyEnabled: Enabled
	NodeConnectivityStatusEnabled: Enabled
	PolicyCountEnabled        : Enabled
	PolicyEndpointStatusEnabled: Enabled
	PolicyImplementationDelayEnabled: Enabled
	PolicyImportErrorsEnabled : Enabled
	PolicyRegenerationCountEnabled: Enabled
	PolicyRegenerationTimeStatsEnabled: Enabled
	PolicyRevisionEnabled     : Disabled
	ProxyDatapathUpdateTimeoutEnabled: Disabled
	ProxyDeniedEnabled        : Enabled
	ProxyForwardedEnabled     : Enabled
	ProxyParseErrorsEnabled   : Enabled
	ProxyPolicyL7Enabled      : Enabled
	ProxyReceivedEnabled      : Enabled
	ProxyRedirectsEnabled     : Enabled
	ServicesCountEnabled      : Enabled
	SignalsHandledEnabled     : Enabled
	SubprocessStartEnabled    : Enabled
	TriggerPolicyUpdateCallDuration: Enabled
	TriggerPolicyUpdateFolds  : Enabled
	TriggerPolicyUpdateTotal  : Enabled
	VersionMetric             : Enabled
Monitor
	cpus                      : 2
	npages                    : 64
	pagesize                  : 4096
MonitorAggregation                : none
MonitorAggregationFlags           : 255
MonitorAggregationInterval        : 5000000000
MonitorQueueSize                  : 2048
NATMapEntriesGlobal               : 131072
NeighMapEntriesGlobal             : 131072
NodePortAcceleration              : disabled
NodePortAlg                       : random
NodePortBindProtection            : true
NodePortMax                       : 32767
NodePortMin                       : 30000
NodePortMode                      : snat
NodePortNat46X64                  : false
PProf                             : false
PProfPort                         : 6060
PolicyAuditMode                   : false
PolicyMapEntries                  : 16384
PolicyQueueSize                   : 100
PolicyTriggerInterval             : 1000000000
PreAllocateMaps                   : false
PrependIptablesChains             : true
ProcFs                            : /host/proc
PrometheusServeAddr               : :9962
ProxyConnectTimeout               : 1
ProxyGID                          : 1337
ProxyMaxConnectionDuration        : 0
ProxyMaxRequestsPerConnection     : 0
ProxyPrometheusPort               : 0
ReadCNIConfiguration              : 
ResetQueueMapping                 : true
RestoreState                      : true
RouteMetric                       : 0
RunDir                            : /var/run/cilium
RunMonitorAgent                   : true
SRv6EncapMode                     : reduced
SidecarIstioProxyImage            : cilium/istio_proxy
SizeofCTElement                   : 94
SizeofNATElement                  : 94
SizeofNeighElement                : 24
SizeofSockRevElement              : 52
SockRevNatEntries                 : 65536
SocketPath                        : /var/run/cilium/cilium.sock
SockopsEnable                     : false
StateDir                          : /var/run/cilium/state
TCFilterPriority                  : 1
ToFQDNsEnableDNSCompression       : true
ToFQDNsIdleConnectionGracePeriod  : 0
ToFQDNsMaxDeferredConnectionDeletes: 10000
ToFQDNsMaxIPsPerHost              : 50
ToFQDNsMinTTL                     : 3600
ToFQDNsPreCache                   : 
ToFQDNsProxyPort                  : 0
TracePayloadlen                   : 128
Tunnel                            : vxlan
TunnelPort                        : 8472
UseSingleClusterRoute             : false
VLANBPFBypass                     : []
Version                           : false
VtepCIDRs                         : <nil>
VtepCidrMask                      : 
VtepEndpoints                     : <nil>
VtepMACs                          : <nil>
WriteCNIConfigurationWhenReady    : 
XDPMode                           : disabled
k8s-configuration                 : 
k8s-endpoint                      : 
##### Read-write configurations #####
ConntrackAccounting               : Enabled
ConntrackLocal                    : Disabled
Debug                             : Disabled
DebugLB                           : Disabled
DebugPolicy                       : Enabled
DropNotification                  : Enabled
MonitorAggregationLevel           : None
PolicyAuditMode                   : Disabled
PolicyTracing                     : Disabled
PolicyVerdictNotification         : Enabled
TraceNotification                 : Enabled
MonitorNumPages                   : 64
PolicyEnforcement                 : default
