# Cilium debug information

#### Cilium version

```
1.12.90 d72a880b 2022-12-03T20:15:54+01:00 go version go1.19.3 linux/amd64
```


#### Kernel version

```
5.4.0
```


#### Cilium status

```
KVStore:                Ok   Disabled
Kubernetes:             Ok   1.23 (v1.23.12) [linux/amd64]
Kubernetes APIs:        ["cilium/v2::CiliumClusterwideNetworkPolicy", "cilium/v2::CiliumEndpoint", "cilium/v2::CiliumNetworkPolicy", "cilium/v2::CiliumNode", "core/v1::Namespace", "core/v1::Node", "core/v1::Pods", "core/v1::Service", "discovery/v1::EndpointSlice", "networking.k8s.io/v1::NetworkPolicy"]
KubeProxyReplacement:   Disabled   
Host firewall:          Disabled
CNI Chaining:           none
CNI Config file:        CNI configuration file management disabled
Cilium:                 Ok   1.12.90 (v1.12.90-d72a880b)
NodeMonitor:            Listening for events on 2 CPUs with 64x4096 of shared memory
Cilium health daemon:   Ok   
IPAM:                   IPv4: 6/254 allocated from 10.0.1.0/24, 
Allocated addresses:
  10.0.1.105 (cilium-test/client-784c67ffc4-29bsq)
  10.0.1.11 (router)
  10.0.1.163 (cilium-test/echo-same-node-dc6b7fd9f-89p9w)
  10.0.1.177 (kube-system/hubble-relay-56c5fd84ff-vh6cp)
  10.0.1.204 (cilium-test/client2-67754cb6fb-mzmb2)
  10.0.1.91 (health)
IPv6 BIG TCP:           Disabled
BandwidthManager:       Disabled
Host Routing:           Legacy
Masquerading:           IPTables [IPv4: Enabled, IPv6: Disabled]
Clock Source for BPF:   ktime
Controller Status:      35/35 healthy
  Name                                  Last success   Last error   Count   Message
  bpf-map-sync-cilium_lxc               4s ago         never        0       no error   
  cilium-health-ep                      59s ago        never        0       no error   
  dns-garbage-collector-job             2s ago         never        0       no error   
  endpoint-1155-regeneration-recovery   never          never        0       no error   
  endpoint-1232-regeneration-recovery   never          never        0       no error   
  endpoint-1919-regeneration-recovery   never          never        0       no error   
  endpoint-2227-regeneration-recovery   never          never        0       no error   
  endpoint-559-regeneration-recovery    never          never        0       no error   
  endpoint-568-regeneration-recovery    never          never        0       no error   
  endpoint-gc                           4m2s ago       never        0       no error   
  ipcache-inject-labels                 8m56s ago      9m1s ago     0       no error   
  k8s-heartbeat                         2s ago         never        0       no error   
  link-cache                            15s ago        never        0       no error   
  metricsmap-bpf-prom-sync              2s ago         never        0       no error   
  resolve-identity-1155                 3m24s ago      never        0       no error   
  resolve-identity-1232                 3m59s ago      never        0       no error   
  resolve-identity-1919                 3m51s ago      never        0       no error   
  resolve-identity-2227                 3m24s ago      never        0       no error   
  resolve-identity-568                  3m23s ago      never        0       no error   
  restoring-ep-identity (559)           9m0s ago       never        0       no error   
  sync-endpoints-and-host-ips           0s ago         never        0       no error   
  sync-lb-maps-with-k8s-services        9m0s ago       never        0       no error   
  sync-policymap-1155                   23s ago        never        0       no error   
  sync-policymap-1232                   54s ago        never        0       no error   
  sync-policymap-1919                   50s ago        never        0       no error   
  sync-policymap-2227                   23s ago        never        0       no error   
  sync-policymap-559                    55s ago        never        0       no error   
  sync-policymap-568                    23s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (1155)     4s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (1232)     9s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (1919)     1s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (2227)     4s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (559)      0s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (568)      3s ago         never        0       no error   
  template-dir-watcher                  never          never        0       no error   
Proxy Status:            OK, ip 10.0.1.11, 0 redirects active on ports 10000-20000
Global Identity Range:   min 256, max 65535
Hubble:                  Ok   Current/Max Flows: 4095/4095 (100.00%), Flows/s: 57.58   Metrics: Disabled
KubeProxyReplacement Details:
  Status:                 Disabled
  Socket LB:              Disabled
  Socket LB Tracing:      Disabled
  Session Affinity:       Disabled
  Graceful Termination:   Enabled
  NAT46/64 Support:       Disabled
  Services:
  - ClusterIP:      Enabled
  - NodePort:       Disabled 
  - LoadBalancer:   Disabled 
  - externalIPs:    Disabled 
  - HostPort:       Disabled
BPF Maps:   dynamic sizing: on (ratio: 0.002500)
  Name                          Size
  Non-TCP connection tracking   65536
  TCP connection tracking       131072
  Endpoint policy               65535
  Events                        2
  IP cache                      512000
  IP masquerading agent         16384
  IPv4 fragmentation            8192
  IPv4 service                  65536
  IPv6 service                  65536
  IPv4 service backend          65536
  IPv6 service backend          65536
  IPv4 service reverse NAT      65536
  IPv6 service reverse NAT      65536
  Metrics                       1024
  NAT                           131072
  Neighbor table                131072
  Global policy                 16384
  Per endpoint policy           65536
  Session affinity              65536
  Signal                        2
  Sockmap                       65535
  Sock reverse NAT              65536
  Tunnel                        65536
Encryption:   IPsec
```

#### Policy get

```
:
 [
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "konnectivity-agent",
        "k8s:io.kubernetes.pod.namespace": "kube-system"
      }
    },
    "egress": [
      {
        "toEndpoints": [
          {}
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "konnectivity-agent",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "kube-system",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "fd4b13b1-0f74-4559-960b-069e98979ffe",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "cilium-test"
      },
      "matchExpressions": [
        {
          "key": "any:name",
          "operator": "In",
          "values": [
            "client"
          ]
        }
      ]
    },
    "egressDeny": [
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:io.kubernetes.pod.namespace": "cilium-test"
            },
            "matchExpressions": [
              {
                "key": "any:kind",
                "operator": "In",
                "values": [
                  "echo"
                ]
              }
            ]
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "8080",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "CiliumNetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "client-egress-to-echo-expression-deny",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "cilium-test",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "a081b00f-8546-48df-a80b-20134df21617",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "cilium-test"
      }
    },
    "egress": [
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:io.kubernetes.pod.namespace": "cilium-test"
            }
          }
        ]
      },
      {
        "toCIDR": [
          "0.0.0.0/0"
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "CiliumNetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "allow-all-egress",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "cilium-test",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "74e203eb-c07a-4bae-af99-9fa83c5da6dd",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "cilium-test"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:io.kubernetes.pod.namespace": "cilium-test"
            }
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "CiliumNetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "allow-all-ingress",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "cilium-test",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "f34fdac3-c589-4fa5-8e27-89057bb2c292",
        "source": "k8s"
      }
    ]
  }
]
Revision: 57

```


#### k8s-service-cache

```
(*k8s.ServiceCache)(0xc000791660)({
 Events: (chan k8s.ServiceEvent) (cap=128) 0xc000573680,
 mutex: (lock.RWMutex) {
  internalRWMutex: (lock.internalRWMutex) {
   RWMutex: (sync.RWMutex) {
    w: (sync.Mutex) {
     state: (int32) 0,
     sema: (uint32) 0
    },
    writerSem: (uint32) 0,
    readerSem: (uint32) 0,
    readerCount: (int32) 1,
    readerWait: (int32) 0
   }
  }
 },
 services: (map[k8s.ServiceID]*k8s.Service) (len=7) {
  (k8s.ServiceID) cilium-test/echo-same-node: (*k8s.Service)(0xc00283bae0)(frontends:[10.0.202.97]/ports=[http]/selector=map[name:echo-same-node]),
  (k8s.ServiceID) cilium-test/echo-other-node: (*k8s.Service)(0xc001ab7040)(frontends:[10.0.50.222]/ports=[http]/selector=map[name:echo-other-node]),
  (k8s.ServiceID) default/kubernetes: (*k8s.Service)(0xc000b41c20)(frontends:[10.0.0.1]/ports=[https]/selector=map[]),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.Service)(0xc000b41cc0)(frontends:[10.0.0.10]/ports=[dns dns-tcp]/selector=map[k8s-app:kube-dns]),
  (k8s.ServiceID) kube-system/metrics-server: (*k8s.Service)(0xc000b41d60)(frontends:[10.0.134.0]/ports=[]/selector=map[k8s-app:metrics-server]),
  (k8s.ServiceID) kube-system/hubble-peer: (*k8s.Service)(0xc000b408c0)(frontends:[10.0.94.2]/ports=[peer-service]/selector=map[k8s-app:cilium]),
  (k8s.ServiceID) kube-system/hubble-relay: (*k8s.Service)(0xc00068b2c0)(frontends:[10.0.90.105]/ports=[]/selector=map[k8s-app:hubble-relay])
 },
 endpoints: (map[k8s.ServiceID]*k8s.EndpointSlices) (len=7) {
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.EndpointSlices)(0xc000d94728)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=14) "kube-dns-fm8gb": (*k8s.Endpoints)(0xc000d94720)(10.0.0.118:53/TCP,10.0.0.118:53/UDP,10.0.0.191:53/TCP,10.0.0.191:53/UDP)
   }
  }),
  (k8s.ServiceID) kube-system/metrics-server: (*k8s.EndpointSlices)(0xc000d94740)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=20) "metrics-server-plpvl": (*k8s.Endpoints)(0xc000d94738)(10.0.0.240:4443/TCP,10.0.0.52:4443/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-peer: (*k8s.EndpointSlices)(0xc001afcbd8)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=17) "hubble-peer-7gzmv": (*k8s.Endpoints)(0xc001afcbd0)(10.224.0.4:4244/TCP,10.224.0.5:4244/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-relay: (*k8s.EndpointSlices)(0xc001afcc28)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=18) "hubble-relay-q5b22": (*k8s.Endpoints)(0xc001afda80)(10.0.1.177:4245/TCP)
   }
  }),
  (k8s.ServiceID) cilium-test/echo-same-node: (*k8s.EndpointSlices)(0xc00056eaf8)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=20) "echo-same-node-wz8jg": (*k8s.Endpoints)(0xc001afde18)(10.0.1.163:8080/TCP)
   }
  }),
  (k8s.ServiceID) cilium-test/echo-other-node: (*k8s.EndpointSlices)(0xc001afcd38)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=21) "echo-other-node-zb5wl": (*k8s.Endpoints)(0xc00056f750)(10.0.0.172:8080/TCP)
   }
  }),
  (k8s.ServiceID) default/kubernetes: (*k8s.EndpointSlices)(0xc000d94710)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=10) "kubernetes": (*k8s.Endpoints)(0xc000d94708)(20.50.40.190:443/TCP)
   }
  })
 },
 externalEndpoints: (map[k8s.ServiceID]k8s.externalEndpoints) {
 },
 nodeAddressing: (*linux.linuxNodeAddressing)(0x58a83a8)({
  ipv6: (linux.addressFamilyIPv6) {
  },
  ipv4: (linux.addressFamilyIPv4) {
  }
 }),
 selfNodeZoneLabel: (string) ""
})

```


#### kvstore-locks

```
(map[string]kvstore.lockOwner) {
}

```


#### ongoing-endpoint-creations


#### ipam

```
<nil>
```


#### Cilium environment keys

```
bpf-fragments-map-max:8192
enable-bgp-control-plane:false
bpf-ct-timeout-regular-any:1m0s
kvstore:
ipv6-native-routing-cidr:
trace-sock:true
proxy-prometheus-port:0
enable-session-affinity:false
enable-ipv4:true
auto-create-cilium-node-resource:true
cni-chaining-mode:
hubble-tls-key-file:/var/lib/cilium/tls/hubble/server.key
bgp-announce-pod-cidr:false
vtep-mac:
bgp-announce-lb-ip:false
enable-k8s-endpoint-slice:true
hubble-recorder-storage-path:/var/run/cilium/pcaps
hubble-export-file-path:
keep-config:false
agent-not-ready-taint-key:node.cilium.io/agent-not-ready
auto-direct-node-routes:false
bpf-lb-source-range-map-max:0
proxy-connect-timeout:1
enable-policy:default
custom-cni-conf:false
enable-local-redirect-policy:false
identity-restore-grace-period:10m0s
cluster-name:cilium-cilium-3609902939
enable-recorder:false
arping-refresh-period:30s
enable-hubble:true
k8s-require-ipv6-pod-cidr:false
local-max-addr-scope:252
enable-ipv6-big-tcp:false
enable-endpoint-health-checking:true
socket-path:/var/run/cilium/cilium.sock
tofqdns-proxy-response-max-delay:100ms
hubble-export-file-max-size-mb:10
sidecar-istio-proxy-image:cilium/istio_proxy
enable-runtime-device-detection:false
cluster-pool-ipv4-mask-size:24
remove-cilium-node-taints:true
http-max-grpc-timeout:0
bpf-ct-global-any-max:262144
cgroup-root:/run/cilium/cgroupv2
bpf-ct-timeout-service-any:1m0s
pprof-port:6060
install-iptables-rules:true
http-normalize-path:true
kvstore-lease-ttl:15m0s
enable-ipv6-ndp:false
cflags:
enable-ipv4-masquerade:true
enable-ipv6:false
pprof:false
identity-heartbeat-timeout:30m0s
cluster-pool-ipv4-cidr:10.0.0.0/8
enable-icmp-rules:true
monitor-aggregation-interval:5s
prepend-iptables-chains:true
bpf-ct-timeout-service-tcp-grace:1m0s
bpf-lb-maglev-map-max:0
hubble-export-file-max-backups:5
kvstore-periodic-sync:5m0s
hubble-metrics-server:
direct-routing-device:
gops-port:9890
ip-allocation-timeout:2m0s
exclude-local-address:
enable-l2-neigh-discovery:true
enable-svc-source-range-check:true
label-prefix-file:
ipv6-node:auto
bpf-lb-maglev-hash-seed:JLfvgnHc2kaSUFaI
enable-ipv4-egress-gateway:false
local-router-ipv6:
state-dir:/var/run/cilium
ipv4-node:auto
certificates-directory:/var/run/cilium/certs
hubble-disable-tls:false
bpf-filter-priority:1
k8s-heartbeat-timeout:30s
bpf-lb-mode:snat
http-retry-timeout:0
proxy-gid:1337
derive-masquerade-ip-addr-from-device:
ipv4-pod-subnets:
tofqdns-enable-dns-compression:true
bpf-lb-sock:false
dns-max-ips-per-restored-rule:1000
bpf-lb-service-backend-map-max:0
prometheus-serve-addr::9962
identity-gc-interval:15m0s
bpf-ct-timeout-service-tcp:6h0m0s
dns-policy-unload-on-shutdown:false
enable-monitor:true
local-router-ipv4:
enable-auto-protect-node-port-range:true
endpoint-status:
node-port-range:
config:
ipv6-pod-subnets:
tofqdns-proxy-port:0
bpf-ct-timeout-regular-tcp-syn:1m0s
enable-sctp:false
enable-pmtu-discovery:false
enable-unreachable-routes:false
k8s-namespace:kube-system
bpf-lb-dev-ip-addr-inherit:
enable-vtep:false
lib-dir:/var/lib/cilium
enable-remote-node-identity:true
sockops-enable:false
bpf-root:/sys/fs/bpf
force-local-policy-eval-at-source:false
enable-ip-masq-agent:false
k8s-client-qps:0
policy-audit-mode:false
api-rate-limit:
ipv6-mcast-device:
vtep-mask:
allocator-list-timeout:3m0s
operator-api-serve-addr:127.0.0.1:9234
node-port-bind-protection:true
bpf-ct-timeout-regular-tcp:6h0m0s
bpf-lb-service-map-max:0
conntrack-gc-interval:0s
egress-masquerade-interfaces:
hubble-socket-path:/var/run/cilium/hubble.sock
ipv6-cluster-alloc-cidr:f00d::/64
enable-wireguard:false
encrypt-interface:
enable-ipsec:true
monitor-queue-size:0
disable-cnp-status-updates:true
hubble-export-file-compress:false
ipsec-key-file:/etc/ipsec/keys
bpf-policy-map-max:16384
procfs:/host/proc
enable-identity-mark:true
install-egress-gateway-routes:false
policy-queue-size:100
enable-bpf-clock-probe:true
mke-cgroup-mount:
enable-bbr:false
fqdn-regex-compile-lru-size:1024
agent-labels:
log-system-load:false
config-dir:/tmp/cilium/config-map
bpf-lb-affinity-map-max:0
enable-k8s-event-handover:false
enable-endpoint-routes:false
enable-ipv6-masquerade:true
monitor-aggregation:none
http-idle-timeout:0
hubble-tls-client-ca-files:/var/lib/cilium/tls/hubble/client-ca.crt
node-port-algorithm:random
enable-k8s-api-discovery:false
kvstore-connectivity-timeout:2m0s
bpf-ct-global-tcp-max:524288
ipv4-native-routing-cidr:
debug:true
node-port-acceleration:disabled
write-cni-conf-when-ready:
cluster-id:0
enable-health-check-nodeport:true
bpf-lb-map-max:65536
proxy-max-connection-duration-seconds:0
enable-stateless-nat46x64:false
k8s-require-ipv4-pod-cidr:false
log-opt:
datapath-mode:veth
disable-envoy-version-check:false
k8s-api-server:
enable-cilium-endpoint-slice:false
kube-proxy-replacement-healthz-bind-address:
endpoint-gc-interval:5m0s
bpf-lb-maglev-table-size:16381
bpf-lb-dsr-l4-xlate:frontend
clustermesh-config:/var/lib/cilium/clustermesh/
enable-mke:false
enable-bandwidth-manager:false
trace-payloadlen:128
skip-cnp-status-startup-clean:false
bpf-lb-external-clusterip:false
http-403-msg:
single-cluster-route:false
enable-health-checking:true
tofqdns-dns-reject-response-code:refused
ipv4-service-range:auto
devices:
enable-l7-proxy:true
cilium-endpoint-gc-interval:5m0s
metrics:
bpf-ct-timeout-regular-tcp-fin:10s
k8s-client-burst:0
hubble-tls-cert-file:/var/lib/cilium/tls/hubble/server.crt
iptables-lock-timeout:5s
enable-k8s-terminating-endpoint:true
egress-multi-home-ip-rule-compat:false
http-retry-count:3
tofqdns-max-deferred-connection-deletes:10000
tunnel:vxlan
debug-verbose:
encrypt-node:false
identity-change-grace-period:5s
bpf-lb-dsr-dispatch:opt
enable-stale-cilium-endpoint-cleanup:true
bpf-nat-global-max:524288
enable-srv6:false
join-cluster:false
identity-allocation-mode:crd
cmdref:
annotate-k8s-node:false
route-metric:0
dnsproxy-concurrency-limit:0
enable-wireguard-userspace-fallback:false
enable-custom-calls:false
tofqdns-min-ttl:3600
labels:
bpf-lb-acceleration:disabled
bpf-sock-rev-map-max:262144
bpf-map-dynamic-size-ratio:0.0025
hubble-prefer-ipv6:false
enable-bpf-masquerade:false
tofqdns-endpoint-max-ip-per-hostname:50
http-request-timeout:3600
k8s-service-cache-size:128
k8s-watcher-endpoint-selector:metadata.name!=kube-scheduler,metadata.name!=kube-controller-manager,metadata.name!=etcd-operator,metadata.name!=gcp-controller-manager
disable-endpoint-crd:false
k8s-kubeconfig-path:
enable-bpf-tproxy:false
restore:true
enable-tracing:false
envoy-log:
bpf-lb-algorithm:random
hubble-event-queue-size:0
hubble-recorder-sink-queue-size:1024
bpf-lb-rss-ipv4-src-cidr:
k8s-sync-timeout:3m0s
max-controller-interval:0
tofqdns-pre-cache:
kvstore-opt:
k8s-service-proxy-name:
enable-well-known-identities:false
allow-localhost:auto
enable-external-ips:true
policy-trigger-interval:1s
enable-ipv4-fragment-tracking:true
vtep-endpoint:
enable-hubble-recorder-api:true
kvstore-max-consecutive-quorum-errors:2
node-port-mode:snat
ipv4-service-loopback-address:169.254.42.1
ipv6-range:auto
enable-xdp-prefilter:false
bpf-lb-sock-hostns-only:false
disable-iptables-feeder-rules:
endpoint-queue-size:25
set-cilium-is-up-condition:true
allow-icmp-frag-needed:true
bypass-ip-availability-upon-restore:false
bpf-map-event-buffers:
tunnel-port:0
monitor-aggregation-flags:all
hubble-skip-unknown-cgroup-ids:true
cluster-health-port:4240
vtep-cidr:
agent-health-port:9879
unmanaged-pod-watcher-interval:15
version:false
proxy-max-requests-per-connection:0
ipam:cluster-pool
mtu:0
nodes-gc-interval:5m0s
enable-service-topology:false
enable-envoy-config:false
srv6-encap-mode:reduced
bpf-lb-rss-ipv6-src-cidr:
read-cni-conf:
hubble-listen-address::4244
enable-xt-socket-fallback:true
hubble-event-buffer-capacity:4095
envoy-config-timeout:2m0s
log-driver:
crd-wait-timeout:5m0s
ipv4-range:auto
enable-host-legacy-routing:false
ipv6-service-range:auto
enable-local-node-route:true
fixed-identity-mapping:
hubble-metrics:
ip-masq-agent-config-path:/etc/config/ip-masq-agent
bpf-neigh-global-max:524288
preallocate-bpf-maps:false
install-no-conntrack-iptables-rules:false
iptables-random-fully:false
kube-proxy-replacement:disabled
enable-node-port:false
bgp-config-path:/var/lib/cilium/bgp/config.yaml
enable-host-firewall:false
synchronize-k8s-nodes:true
tofqdns-idle-connection-grace-period:0s
dnsproxy-concurrency-processing-grace-period:0s
enable-host-port:true
bpf-lb-rev-nat-map-max:0
vlan-bpf-bypass:
```


#### Endpoint list

```
ENDPOINT   POLICY (ingress)   POLICY (egress)   IDENTITY   LABELS (source:key[=value])                                                                        IPv6   IPv4         STATUS   
           ENFORCEMENT        ENFORCEMENT                                                                                                                                         
559        Disabled           Disabled          1          k8s:agentpool=nodepool1                                                                                                ready   
                                                           k8s:kubernetes.azure.com/agentpool=nodepool1                                                                                   
                                                           k8s:kubernetes.azure.com/cluster=MC_cilium-cilium-3609902939_cilium-cilium-3609902939_westeurope                               
                                                           k8s:kubernetes.azure.com/kubelet-identity-client-id=c57d3edc-a84e-4e5a-9d02-ca7e18b8c6ab                                       
                                                           k8s:kubernetes.azure.com/mode=system                                                                                           
                                                           k8s:kubernetes.azure.com/node-image-version=AKSUbuntu-1804gen2containerd-2022.11.02                                            
                                                           k8s:kubernetes.azure.com/os-sku=Ubuntu                                                                                         
                                                           k8s:kubernetes.azure.com/role=agent                                                                                            
                                                           k8s:node-role.kubernetes.io/agent                                                                                              
                                                           k8s:node.kubernetes.io/instance-type=Standard_B2s                                                                              
                                                           k8s:topology.disk.csi.azure.com/zone                                                                                           
                                                           k8s:topology.kubernetes.io/region=westeurope                                                                                   
                                                           k8s:topology.kubernetes.io/zone=0                                                                                              
                                                           reserved:host                                                                                                                  
568        Enabled            Enabled           25074      k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=cilium-test                                10.0.1.163   ready   
                                                           k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939                                                                      
                                                           k8s:io.cilium.k8s.policy.serviceaccount=echo-same-node                                                                         
                                                           k8s:io.kubernetes.pod.namespace=cilium-test                                                                                    
                                                           k8s:kind=echo                                                                                                                  
                                                           k8s:name=echo-same-node                                                                                                        
                                                           k8s:other=echo                                                                                                                 
1155       Enabled            Enabled           18091      k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=cilium-test                                10.0.1.204   ready   
                                                           k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939                                                                      
                                                           k8s:io.cilium.k8s.policy.serviceaccount=client2                                                                                
                                                           k8s:io.kubernetes.pod.namespace=cilium-test                                                                                    
                                                           k8s:kind=client                                                                                                                
                                                           k8s:name=client2                                                                                                               
                                                           k8s:other=client                                                                                                               
1232       Disabled           Disabled          4          reserved:health                                                                                           10.0.1.91    ready   
1919       Disabled           Disabled          8984       k8s:app.kubernetes.io/name=hubble-relay                                                                   10.0.1.177   ready   
                                                           k8s:app.kubernetes.io/part-of=cilium                                                                                           
                                                           k8s:io.cilium.k8s.namespace.labels.addonmanager.kubernetes.io/mode=Reconcile                                                   
                                                           k8s:io.cilium.k8s.namespace.labels.control-plane=true                                                                          
                                                           k8s:io.cilium.k8s.namespace.labels.kubernetes.io/cluster-service=true                                                          
                                                           k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system                                                     
                                                           k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939                                                                      
                                                           k8s:io.cilium.k8s.policy.serviceaccount=hubble-relay                                                                           
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                                                                    
                                                           k8s:k8s-app=hubble-relay                                                                                                       
2227       Enabled            Enabled           39838      k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=cilium-test                                10.0.1.105   ready   
                                                           k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939                                                                      
                                                           k8s:io.cilium.k8s.policy.serviceaccount=client                                                                                 
                                                           k8s:io.kubernetes.pod.namespace=cilium-test                                                                                    
                                                           k8s:kind=client                                                                                                                
                                                           k8s:name=client                                                                                                                
```

#### BPF Policy Get 559

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Allow    Ingress     0          ANY          NONE         0       0         
Allow    Egress      0          ANY          NONE         0       0         

```


#### BPF CT List 559

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_00559: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_00559: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_00559: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_00559: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_00559: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_00559: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_00559: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_00559: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 559

```
[
  {
    "id": 559,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-559-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "a519e596-3e6a-40db-bc76-64c36e4257bb"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "restoring-ep-identity (559)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:46:14.402Z",
            "success-count": 1
          },
          "uuid": "8afbdc09-711d-4a6e-b84c-50d44f2547c0"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-559",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:54:19.107Z",
            "success-count": 11
          },
          "uuid": "d7238695-5c20-4293-a8b5-bbd3cce1c9d5"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (559)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:55:14.452Z",
            "success-count": 55
          },
          "uuid": "6be8ce68-caa0-4e45-9192-745a86ea88c5"
        }
      ],
      "external-identifiers": {
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 1,
        "labels": [
          "k8s:kubernetes.azure.com/node-image-version=AKSUbuntu-1804gen2containerd-2022.11.02",
          "reserved:host",
          "k8s:agentpool=nodepool1",
          "k8s:node.kubernetes.io/instance-type=Standard_B2s",
          "k8s:kubernetes.azure.com/cluster=MC_cilium-cilium-3609902939_cilium-cilium-3609902939_westeurope",
          "k8s:kubernetes.azure.com/mode=system",
          "k8s:kubernetes.azure.com/role=agent",
          "k8s:kubernetes.azure.com/kubelet-identity-client-id=c57d3edc-a84e-4e5a-9d02-ca7e18b8c6ab",
          "k8s:node-role.kubernetes.io/agent",
          "k8s:topology.kubernetes.io/region=westeurope",
          "k8s:topology.disk.csi.azure.com/zone",
          "k8s:kubernetes.azure.com/agentpool=nodepool1",
          "k8s:topology.kubernetes.io/zone=0",
          "k8s:kubernetes.azure.com/os-sku=Ubuntu"
        ]
      },
      "labels": {
        "derived": [
          "k8s:agentpool=nodepool1",
          "k8s:kubernetes.azure.com/agentpool=nodepool1",
          "k8s:kubernetes.azure.com/cluster=MC_cilium-cilium-3609902939_cilium-cilium-3609902939_westeurope",
          "k8s:kubernetes.azure.com/kubelet-identity-client-id=c57d3edc-a84e-4e5a-9d02-ca7e18b8c6ab",
          "k8s:kubernetes.azure.com/mode=system",
          "k8s:kubernetes.azure.com/node-image-version=AKSUbuntu-1804gen2containerd-2022.11.02",
          "k8s:kubernetes.azure.com/os-sku=Ubuntu",
          "k8s:kubernetes.azure.com/role=agent",
          "k8s:node-role.kubernetes.io/agent",
          "k8s:node.kubernetes.io/instance-type=Standard_B2s",
          "k8s:topology.disk.csi.azure.com/zone",
          "k8s:topology.kubernetes.io/region=westeurope",
          "k8s:topology.kubernetes.io/zone=0",
          "reserved:host"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:agentpool=nodepool1",
          "k8s:kubernetes.azure.com/agentpool=nodepool1",
          "k8s:kubernetes.azure.com/cluster=MC_cilium-cilium-3609902939_cilium-cilium-3609902939_westeurope",
          "k8s:kubernetes.azure.com/kubelet-identity-client-id=c57d3edc-a84e-4e5a-9d02-ca7e18b8c6ab",
          "k8s:kubernetes.azure.com/mode=system",
          "k8s:kubernetes.azure.com/node-image-version=AKSUbuntu-1804gen2containerd-2022.11.02",
          "k8s:kubernetes.azure.com/os-sku=Ubuntu",
          "k8s:kubernetes.azure.com/role=agent",
          "k8s:node-role.kubernetes.io/agent",
          "k8s:node.kubernetes.io/instance-type=Standard_B2s",
          "k8s:topology.disk.csi.azure.com/zone",
          "k8s:topology.kubernetes.io/region=westeurope",
          "k8s:topology.kubernetes.io/zone=0",
          "reserved:host"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2022-12-03T19:46:19Z"
        }
      ],
      "networking": {
        "addressing": [
          {}
        ],
        "host-mac": "6a:84:5d:02:3a:a2",
        "interface-name": "cilium_host",
        "mac": "6a:84:5d:02:3a:a2"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 57,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 57
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 559

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 559

```
Timestamp              Status   State                   Message
2022-12-03T19:46:19Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-12-03T19:46:19Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:46:19Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-12-03T19:46:19Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-12-03T19:46:18Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-12-03T19:46:18Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:46:18Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-12-03T19:46:18Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-12-03T19:46:15Z   OK       ready                   Successfully regenerated endpoint program (Reason: syncing state to host)
2022-12-03T19:46:15Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:46:14Z   OK       regenerating            Regenerating endpoint: syncing state to host
2022-12-03T19:46:14Z   OK       restoring               Synchronizing endpoint labels with KVStore
2022-12-03T19:46:13Z   OK       restoring               Restoring endpoint from previous cilium instance
2022-12-03T19:46:11Z   OK       restoring               Endpoint restoring

```


#### Identity get 1

```
ID   LABELS
1    reserved:host

```


#### BPF Policy Get 568

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES    PACKETS   
Allow    Ingress     1          ANY          NONE         489270   5695      
Allow    Ingress     18091      ANY          NONE         483      6         
Allow    Ingress     22565      ANY          NONE         0        0         
Allow    Ingress     25074      ANY          NONE         0        0         
Allow    Ingress     39838      ANY          NONE         0        0         
Allow    Egress      2          ANY          NONE         0        0         
Allow    Egress      18091      ANY          NONE         2717     4         
Allow    Egress      22565      ANY          NONE         0        0         
Allow    Egress      25074      ANY          NONE         0        0         
Allow    Egress      39838      ANY          NONE         0        0         
Allow    Egress      16777218   ANY          NONE         0        0         

```


#### BPF CT List 568

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_00568: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_00568: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_00568: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_00568: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_00568: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_00568: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_00568: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_00568: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 568

```
[
  {
    "id": 568,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-568-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "d5c06f26-51e6-49fa-9e68-82ac067b91a4"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-568",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:51:51.602Z",
            "success-count": 2
          },
          "uuid": "e7029ef2-7a5b-4bdd-a0a2-10f21ef9d9ad"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-568",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:54:51.405Z",
            "success-count": 43
          },
          "uuid": "32e7678a-56d3-4681-b062-0a9d182b131e"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (568)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:55:11.661Z",
            "success-count": 52
          },
          "uuid": "60371bbc-4af1-48fb-b6bc-48fc7624780f"
        }
      ],
      "external-identifiers": {
        "container-id": "8ea8eff81958464ab4ea87acc729f26bda8016c45966ad36b58f888b17df8133",
        "k8s-namespace": "cilium-test",
        "k8s-pod-name": "echo-same-node-dc6b7fd9f-89p9w",
        "pod-name": "cilium-test/echo-same-node-dc6b7fd9f-89p9w"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 25074,
        "labels": [
          "k8s:kind=echo",
          "k8s:name=echo-same-node",
          "k8s:other=echo",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=cilium-test",
          "k8s:io.kubernetes.pod.namespace=cilium-test",
          "k8s:io.cilium.k8s.policy.serviceaccount=echo-same-node",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939"
        ]
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=dc6b7fd9f"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=cilium-test",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939",
          "k8s:io.cilium.k8s.policy.serviceaccount=echo-same-node",
          "k8s:io.kubernetes.pod.namespace=cilium-test",
          "k8s:kind=echo",
          "k8s:name=echo-same-node",
          "k8s:other=echo"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: policy rules added)",
          "state": "ready",
          "timestamp": "2022-12-03T19:54:51Z"
        }
      ],
      "namedPorts": [
        {
          "name": "dns-53",
          "port": 53,
          "protocol": "TCP"
        },
        {
          "name": "dns-udp-53",
          "port": 53,
          "protocol": "UDP"
        },
        {
          "name": "http-8080",
          "port": 8080,
          "protocol": "TCP"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.0.1.163"
          }
        ],
        "host-mac": "ae:81:74:34:c9:ac",
        "interface-index": 29,
        "interface-name": "lxc38b94501c007",
        "mac": "ea:cb:0a:47:e8:7b"
      },
      "policy": {
        "proxy-policy-revision": 30,
        "proxy-statistics": [
          {
            "location": "ingress",
            "port": 8080,
            "protocol": "http",
            "statistics": {
              "requests": {
                "denied": 2,
                "forwarded": 4,
                "received": 6
              },
              "responses": {
                "forwarded": 6,
                "received": 6
              }
            }
          }
        ],
        "realized": {
          "allowed-egress-identities": [
            22565,
            25074,
            39838,
            2,
            18091,
            16777218
          ],
          "allowed-ingress-identities": [
            39838,
            1,
            22565,
            25074,
            18091
          ],
          "build": 57,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 25074,
          "l4": {
            "egress": [
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=allow-all-egress",
                    "k8s:io.cilium.k8s.policy.namespace=cilium-test",
                    "k8s:io.cilium.k8s.policy.uid=74e203eb-c07a-4bae-af99-9fa83c5da6dd"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{cidr.0.0.0.0/0: ,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              },
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{k8s.io.kubernetes.pod.namespace: cilium-test,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              },
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{reserved.world: ,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              }
            ],
            "port": 0,
            "protocol": "ANY"
          }
              }
            ],
            "ingress": [
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=allow-all-ingress",
                    "k8s:io.cilium.k8s.policy.namespace=cilium-test",
                    "k8s:io.cilium.k8s.policy.uid=f34fdac3-c589-4fa5-8e27-89057bb2c292"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{k8s.io.kubernetes.pod.namespace: cilium-test,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              }
            ],
            "port": 0,
            "protocol": "ANY"
          }
              }
            ]
          },
          "policy-enabled": "both",
          "policy-revision": 57
        },
        "spec": {
          "allowed-egress-identities": [
            22565,
            25074,
            39838,
            2,
            16777218,
            18091
          ],
          "allowed-ingress-identities": [
            1,
            22565,
            25074,
            39838,
            18091
          ],
          "build": 57,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 25074,
          "l4": {
            "egress": [
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=allow-all-egress",
                    "k8s:io.cilium.k8s.policy.namespace=cilium-test",
                    "k8s:io.cilium.k8s.policy.uid=74e203eb-c07a-4bae-af99-9fa83c5da6dd"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{cidr.0.0.0.0/0: ,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              },
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{k8s.io.kubernetes.pod.namespace: cilium-test,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              },
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{reserved.world: ,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              }
            ],
            "port": 0,
            "protocol": "ANY"
          }
              }
            ],
            "ingress": [
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=allow-all-ingress",
                    "k8s:io.cilium.k8s.policy.namespace=cilium-test",
                    "k8s:io.cilium.k8s.policy.uid=f34fdac3-c589-4fa5-8e27-89057bb2c292"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{k8s.io.kubernetes.pod.namespace: cilium-test,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              }
            ],
            "port": 0,
            "protocol": "ANY"
          }
              }
            ]
          },
          "policy-enabled": "both",
          "policy-revision": 57
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 568

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 568

```
Timestamp              Status   State                   Message
2022-12-03T19:54:51Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:51Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:54:51Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:51Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:54:51Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:51Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:54:50Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:50Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:54:47Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:47Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:54:47Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:47Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:47Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:54:47Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:47Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to policy rules added
2022-12-03T19:54:47Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:54:30Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:30Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:54:30Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:30Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:54:30Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:30Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:54:30Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:30Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:54:30Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:30Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:54:30Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:30Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:54:27Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:27Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:54:27Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:27Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:27Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:54:26Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:26Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:59Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:59Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:58Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:58Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:58Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:58Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:55Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:55Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:55Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:55Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:55Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:55Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:55Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:44Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:44Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:44Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:44Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:44Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:44Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:43Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:43Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:40Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:40Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:40Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:40Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:40Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:40Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:40Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:40Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:40Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:40Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:40Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:40Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:22Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:22Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:22Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:22Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:22Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:22Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:22Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:22Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:22Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:21Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:18Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:18Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:18Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:18Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:52:36Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:52:36Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:52:35Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:52:35Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:52:32Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:52:32Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:52:32Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:52:32Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:51:50Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:51:50Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:51:50Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:51:50Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:51:37Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:51:37Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:51:36Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:51:36Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:51:30Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:51:30Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:51:30Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:51:30Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:51:06Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:51:06Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:51:06Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:51:06Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:50:49Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:50:49Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:50:49Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:50:49Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:50:46Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:50:46Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:50:46Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:50:46Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:50:40Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:50:40Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:50:40Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:50:40Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:50:36Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:50:36Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:50:36Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:50:36Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:50:32Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:50:32Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:50:32Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:50:32Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:50:28Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:50:28Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:50:28Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:50:28Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:50:02Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:50:02Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:50:02Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:50:02Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:49:58Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:49:58Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:49:58Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:49:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:48:23Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:48:23Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:48:22Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:48:22Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:48:19Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:48:19Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:48:19Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:48:19Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:47:53Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:47:53Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:47:53Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:47:53Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:47:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:47:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:47:38Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:47:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:47:24Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:47:24Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:47:24Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:47:24Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:46:51Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2022-12-03T19:46:51Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:46:51Z   OK       regenerating            Regenerating endpoint: updated security labels
2022-12-03T19:46:51Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2022-12-03T19:46:51Z   OK       ready                   Set identity for this endpoint
2022-12-03T19:46:51Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 25074

```
ID      LABELS
25074   k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=cilium-test
        k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939
        k8s:io.cilium.k8s.policy.serviceaccount=echo-same-node
        k8s:io.kubernetes.pod.namespace=cilium-test
        k8s:kind=echo
        k8s:name=echo-same-node
        k8s:other=echo

```


#### BPF Policy Get 1155

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Allow    Ingress     1          ANY          NONE         294     3         
Allow    Ingress     18091      ANY          NONE         0       0         
Allow    Ingress     22565      ANY          NONE         0       0         
Allow    Ingress     25074      ANY          NONE         2717    4         
Allow    Ingress     39838      ANY          NONE         0       0         
Allow    Egress      2          ANY          NONE         0       0         
Allow    Egress      18091      ANY          NONE         0       0         
Allow    Egress      22565      ANY          NONE         222     3         
Allow    Egress      25074      ANY          NONE         483     6         
Allow    Egress      39838      ANY          NONE         0       0         
Allow    Egress      16777218   ANY          NONE         0       0         

```


#### BPF CT List 1155

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_01155: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_01155: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_01155: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_01155: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_01155: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_01155: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_01155: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_01155: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 1155

```
[
  {
    "id": 1155,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-1155-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "e4b14859-78e4-4681-8ed9-17bd5e2f97c4"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-1155",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:51:50.347Z",
            "success-count": 2
          },
          "uuid": "1084549b-2698-49fe-8929-4eb15ca1f113"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-1155",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:54:51.330Z",
            "success-count": 45
          },
          "uuid": "a6c4db3c-cc42-4007-bea1-dffcdd8d7ab4"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (1155)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:55:10.408Z",
            "success-count": 52
          },
          "uuid": "66159b55-05d6-40bc-a99a-8aba9fa0a4d5"
        }
      ],
      "external-identifiers": {
        "container-id": "f905e5d468acc66280c414ca3426f103fd3d27e6f2b4652b5dd9d529354ae14b",
        "k8s-namespace": "cilium-test",
        "k8s-pod-name": "client2-67754cb6fb-mzmb2",
        "pod-name": "cilium-test/client2-67754cb6fb-mzmb2"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 18091,
        "labels": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=cilium-test",
          "k8s:io.kubernetes.pod.namespace=cilium-test",
          "k8s:io.cilium.k8s.policy.serviceaccount=client2",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939",
          "k8s:kind=client",
          "k8s:name=client2",
          "k8s:other=client"
        ]
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=67754cb6fb"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=cilium-test",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939",
          "k8s:io.cilium.k8s.policy.serviceaccount=client2",
          "k8s:io.kubernetes.pod.namespace=cilium-test",
          "k8s:kind=client",
          "k8s:name=client2",
          "k8s:other=client"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: policy rules added)",
          "state": "ready",
          "timestamp": "2022-12-03T19:54:51Z"
        }
      ],
      "namedPorts": [
        {
          "name": "http-8080",
          "port": 8080,
          "protocol": "TCP"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.0.1.204"
          }
        ],
        "host-mac": "ea:d4:75:06:ae:09",
        "interface-index": 27,
        "interface-name": "lxcf0d785e8eddf",
        "mac": "66:01:c5:1b:96:77"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            16777218,
            25074,
            39838,
            2,
            18091,
            22565
          ],
          "allowed-ingress-identities": [
            1,
            18091,
            22565,
            25074,
            39838
          ],
          "build": 57,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 18091,
          "l4": {
            "egress": [
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=allow-all-egress",
                    "k8s:io.cilium.k8s.policy.namespace=cilium-test",
                    "k8s:io.cilium.k8s.policy.uid=74e203eb-c07a-4bae-af99-9fa83c5da6dd"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{cidr.0.0.0.0/0: ,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              },
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{k8s.io.kubernetes.pod.namespace: cilium-test,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              },
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{reserved.world: ,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              }
            ],
            "port": 0,
            "protocol": "ANY"
          }
              }
            ],
            "ingress": [
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=allow-all-ingress",
                    "k8s:io.cilium.k8s.policy.namespace=cilium-test",
                    "k8s:io.cilium.k8s.policy.uid=f34fdac3-c589-4fa5-8e27-89057bb2c292"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{k8s.io.kubernetes.pod.namespace: cilium-test,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              }
            ],
            "port": 0,
            "protocol": "ANY"
          }
              }
            ]
          },
          "policy-enabled": "both",
          "policy-revision": 57
        },
        "spec": {
          "allowed-egress-identities": [
            25074,
            39838,
            2,
            18091,
            22565,
            16777218
          ],
          "allowed-ingress-identities": [
            25074,
            39838,
            22565,
            1,
            18091
          ],
          "build": 57,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 18091,
          "l4": {
            "egress": [
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=allow-all-egress",
                    "k8s:io.cilium.k8s.policy.namespace=cilium-test",
                    "k8s:io.cilium.k8s.policy.uid=74e203eb-c07a-4bae-af99-9fa83c5da6dd"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{cidr.0.0.0.0/0: ,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              },
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{k8s.io.kubernetes.pod.namespace: cilium-test,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              },
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{reserved.world: ,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              }
            ],
            "port": 0,
            "protocol": "ANY"
          }
              }
            ],
            "ingress": [
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=allow-all-ingress",
                    "k8s:io.cilium.k8s.policy.namespace=cilium-test",
                    "k8s:io.cilium.k8s.policy.uid=f34fdac3-c589-4fa5-8e27-89057bb2c292"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{k8s.io.kubernetes.pod.namespace: cilium-test,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              }
            ],
            "port": 0,
            "protocol": "ANY"
          }
              }
            ]
          },
          "policy-enabled": "both",
          "policy-revision": 57
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 1155

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 1155

```
Timestamp              Status   State                   Message
2022-12-03T19:54:51Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:51Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:54:51Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:51Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:54:51Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:51Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:54:50Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:50Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:54:47Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:47Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:54:47Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:47Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:47Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:54:47Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:47Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:54:30Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:30Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:54:30Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:30Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:30Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:54:30Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:30Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:54:27Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:27Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:54:27Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:27Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:27Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:54:27Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:27Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:54:27Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:27Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:54:26Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:26Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:59Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:59Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:59Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:59Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:59Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:59Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:59Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:58Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:58Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:58Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:55Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:55Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:55Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:55Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:55Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:55Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:55Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:55Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:55Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:55Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:55Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:55Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:44Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:44Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:44Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:44Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:44Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:44Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:44Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:44Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:44Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:44Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:43Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:43Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:40Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:40Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:40Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:40Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:40Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:40Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:40Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:22Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:22Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:22Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:22Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:22Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:22Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:21Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:21Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:51:37Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:51:37Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:51:36Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:51:36Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:51:30Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:51:30Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:51:30Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:51:30Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:51:27Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:51:27Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:51:27Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:51:27Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:51:20Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:51:20Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:51:20Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:51:20Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:51:17Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:51:17Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:51:17Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:51:17Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:51:09Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:51:09Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:51:09Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:51:09Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:50:46Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:50:46Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:50:46Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:50:46Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:50:40Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:50:40Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:50:40Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:50:40Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:50:36Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:50:36Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:50:36Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:50:36Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:50:32Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:50:32Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:50:32Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:50:32Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:50:28Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:50:28Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:50:28Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:50:28Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:50:02Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:50:02Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:50:02Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:50:02Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:49:58Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:49:58Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:49:58Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:49:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:48:23Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:48:23Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:48:23Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:48:22Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:48:19Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:48:19Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:48:19Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:48:19Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:47:53Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:47:53Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:47:53Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:47:53Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:47:49Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:47:49Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:47:49Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:47:49Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:47:42Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:47:42Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:47:41Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:47:41Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:47:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:47:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:47:38Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:47:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:47:24Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:47:24Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:47:24Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:47:24Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:46:50Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2022-12-03T19:46:50Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:46:50Z   OK       regenerating            Regenerating endpoint: updated security labels
2022-12-03T19:46:50Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2022-12-03T19:46:50Z   OK       ready                   Set identity for this endpoint
2022-12-03T19:46:50Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 18091

```
ID      LABELS
18091   k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=cilium-test
        k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939
        k8s:io.cilium.k8s.policy.serviceaccount=client2
        k8s:io.kubernetes.pod.namespace=cilium-test
        k8s:kind=client
        k8s:name=client2
        k8s:other=client

```


#### BPF Policy Get 1232

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Allow    Ingress     0          ANY          NONE         4572    58        
Allow    Ingress     1          ANY          NONE         6660    76        
Allow    Egress      0          ANY          NONE         9353    115       

```


#### BPF CT List 1232

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_01232: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_01232: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_01232: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_01232: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_01232: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_01232: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_01232: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_01232: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 1232

```
[
  {
    "id": 1232,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-1232-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "e3c47c6a-b150-4f13-9ef7-cb9b07e18ded"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-1232",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:51:15.514Z",
            "success-count": 2
          },
          "uuid": "95e29c8b-5c1c-457f-b399-25303e79156a"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-1232",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:54:20.177Z",
            "success-count": 10
          },
          "uuid": "ccc53628-d817-480c-8816-bd3066e60233"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (1232)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:55:15.545Z",
            "success-count": 56
          },
          "uuid": "f36e7fc5-c43b-40d4-858c-3c5dbc637921"
        }
      ],
      "external-identifiers": {
        "container-name": "cilium-health",
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 4,
        "labels": [
          "reserved:health"
        ]
      },
      "labels": {
        "realized": {},
        "security-relevant": [
          "reserved:health"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2022-12-03T19:46:20Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.0.1.91"
          }
        ],
        "host-mac": "1e:17:d1:b9:69:23",
        "interface-index": 21,
        "interface-name": "lxc_health",
        "mac": "b2:42:1b:75:60:dc"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 57,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 57
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 1232

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 1232

```
Timestamp              Status   State                   Message
2022-12-03T19:46:20Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-12-03T19:46:20Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:46:20Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-12-03T19:46:20Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: updated security labels)
2022-12-03T19:46:19Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to one or more identities created or deleted
2022-12-03T19:46:18Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-12-03T19:46:15Z   OK       regenerating            Regenerating endpoint: updated security labels
2022-12-03T19:46:15Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2022-12-03T19:46:15Z   OK       ready                   Set identity for this endpoint
2022-12-03T19:46:14Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 4

```
ID   LABELS
4    reserved:health

```


#### BPF Policy Get 1919

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Allow    Ingress     0          ANY          NONE         8768    89        
Allow    Ingress     1          ANY          NONE         42189   591       
Allow    Egress      0          ANY          NONE         39533   477       

```


#### BPF CT List 1919

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_01919: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_01919: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_01919: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_01919: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_01919: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_01919: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_01919: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_01919: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 1919

```
[
  {
    "id": 1919,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-1919-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "4d7cd45e-92b8-438e-b787-9d0b5d23a81b"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-1919",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:51:23.578Z",
            "success-count": 2
          },
          "uuid": "456197e4-3ed0-4b1e-bc11-68167447a97d"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-1919",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:54:23.685Z",
            "success-count": 9
          },
          "uuid": "5d3cda1e-c7e9-4d7f-8b39-7c47d82625cb"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (1919)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:55:13.661Z",
            "success-count": 55
          },
          "uuid": "3b25e1d0-6c11-4613-81f8-4ba6fe1f6c9a"
        }
      ],
      "external-identifiers": {
        "container-id": "a983c401b65153860f8393ab5e25cee576f4821388257b7aae4068f0b0ff6595",
        "k8s-namespace": "kube-system",
        "k8s-pod-name": "hubble-relay-56c5fd84ff-vh6cp",
        "pod-name": "kube-system/hubble-relay-56c5fd84ff-vh6cp"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 8984,
        "labels": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:app.kubernetes.io/name=hubble-relay",
          "k8s:k8s-app=hubble-relay",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939",
          "k8s:io.cilium.k8s.policy.serviceaccount=hubble-relay",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/cluster-service=true",
          "k8s:io.cilium.k8s.namespace.labels.addonmanager.kubernetes.io/mode=Reconcile",
          "k8s:app.kubernetes.io/part-of=cilium",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:io.cilium.k8s.namespace.labels.control-plane=true"
        ]
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=56c5fd84ff"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:app.kubernetes.io/name=hubble-relay",
          "k8s:app.kubernetes.io/part-of=cilium",
          "k8s:io.cilium.k8s.namespace.labels.addonmanager.kubernetes.io/mode=Reconcile",
          "k8s:io.cilium.k8s.namespace.labels.control-plane=true",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/cluster-service=true",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939",
          "k8s:io.cilium.k8s.policy.serviceaccount=hubble-relay",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=hubble-relay"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: updated security labels)",
          "state": "ready",
          "timestamp": "2022-12-03T19:46:23Z"
        }
      ],
      "namedPorts": [
        {
          "name": "grpc",
          "port": 4245,
          "protocol": "TCP"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.0.1.177"
          }
        ],
        "host-mac": "6a:48:04:b3:fa:92",
        "interface-index": 23,
        "interface-name": "lxcb26eef77004c",
        "mac": "ce:cf:bf:40:2a:10"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 57,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 8984,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 57
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 8984,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 1919

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 1919

```
Timestamp              Status   State                   Message
2022-12-03T19:46:23Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2022-12-03T19:46:23Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:46:23Z   OK       regenerating            Regenerating endpoint: updated security labels
2022-12-03T19:46:23Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2022-12-03T19:46:23Z   OK       ready                   Set identity for this endpoint
2022-12-03T19:46:23Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 8984

```
ID     LABELS
8984   k8s:app.kubernetes.io/name=hubble-relay
       k8s:app.kubernetes.io/part-of=cilium
       k8s:io.cilium.k8s.namespace.labels.addonmanager.kubernetes.io/mode=Reconcile
       k8s:io.cilium.k8s.namespace.labels.control-plane=true
       k8s:io.cilium.k8s.namespace.labels.kubernetes.io/cluster-service=true
       k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system
       k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939
       k8s:io.cilium.k8s.policy.serviceaccount=hubble-relay
       k8s:io.kubernetes.pod.namespace=kube-system
       k8s:k8s-app=hubble-relay

```


#### BPF Policy Get 2227

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Deny     Egress      22565      8080/TCP     NONE         222     3         
Deny     Egress      25074      8080/TCP     NONE         222     3         
Allow    Ingress     1          ANY          NONE         294     3         
Allow    Ingress     18091      ANY          NONE         0       0         
Allow    Ingress     22565      ANY          NONE         0       0         
Allow    Ingress     25074      ANY          NONE         0       0         
Allow    Ingress     39838      ANY          NONE         0       0         
Allow    Egress      2          ANY          NONE         0       0         
Allow    Egress      18091      ANY          NONE         0       0         
Allow    Egress      22565      ANY          NONE         0       0         
Allow    Egress      25074      ANY          NONE         0       0         
Allow    Egress      39838      ANY          NONE         0       0         
Allow    Egress      16777218   ANY          NONE         0       0         

```


#### BPF CT List 2227

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_02227: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_02227: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_02227: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_02227: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_02227: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_02227: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_02227: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_02227: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 2227

```
[
  {
    "id": 2227,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-2227-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "01dc33e8-9b8f-43a8-8297-82858a80d5bd"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-2227",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:51:50.051Z",
            "success-count": 2
          },
          "uuid": "fd178d48-47d9-44fc-8464-06a43ce76028"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-2227",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:54:51.320Z",
            "success-count": 44
          },
          "uuid": "95a5c8a8-34d3-4c74-9f5b-72c54c8eb1dc"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (2227)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:55:10.112Z",
            "success-count": 52
          },
          "uuid": "35db6225-32b1-4966-a91d-b452eb5a622a"
        }
      ],
      "external-identifiers": {
        "container-id": "e587a4282f7333b2e0d678a99ae840872b9f1e257b9e57111634fbd320f97c55",
        "k8s-namespace": "cilium-test",
        "k8s-pod-name": "client-784c67ffc4-29bsq",
        "pod-name": "cilium-test/client-784c67ffc4-29bsq"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 39838,
        "labels": [
          "k8s:io.kubernetes.pod.namespace=cilium-test",
          "k8s:io.cilium.k8s.policy.serviceaccount=client",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939",
          "k8s:name=client",
          "k8s:kind=client",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=cilium-test"
        ]
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=784c67ffc4"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=cilium-test",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939",
          "k8s:io.cilium.k8s.policy.serviceaccount=client",
          "k8s:io.kubernetes.pod.namespace=cilium-test",
          "k8s:kind=client",
          "k8s:name=client"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: policy rules added)",
          "state": "ready",
          "timestamp": "2022-12-03T19:54:51Z"
        }
      ],
      "namedPorts": [
        {
          "name": "http-8080",
          "port": 8080,
          "protocol": "TCP"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.0.1.105"
          }
        ],
        "host-mac": "16:dc:71:41:d5:0b",
        "interface-index": 25,
        "interface-name": "lxc136358a5aadb",
        "mac": "aa:87:f4:fe:76:b0"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            2,
            18091,
            16777218,
            22565,
            25074,
            39838
          ],
          "allowed-ingress-identities": [
            22565,
            39838,
            18091,
            25074,
            1
          ],
          "build": 57,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 39838,
          "l4": {
            "egress": [
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=client-egress-to-echo-expression-deny",
                    "k8s:io.cilium.k8s.policy.namespace=cilium-test",
                    "k8s:io.cilium.k8s.policy.uid=a081b00f-8546-48df-a80b-20134df21617"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{k8s.io.kubernetes.pod.namespace: cilium-test,},MatchExpressions:[]LabelSelectorRequirement{LabelSelectorRequirement{Key:any.kind,Operator:In,Values:[echo],},},}": {
                  "IsDeny": true
                }
              }
            ],
            "port": 8080,
            "protocol": "TCP"
          }
              },
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=allow-all-egress",
                    "k8s:io.cilium.k8s.policy.namespace=cilium-test",
                    "k8s:io.cilium.k8s.policy.uid=74e203eb-c07a-4bae-af99-9fa83c5da6dd"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{cidr.0.0.0.0/0: ,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              },
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{k8s.io.kubernetes.pod.namespace: cilium-test,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              },
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{reserved.world: ,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              }
            ],
            "port": 0,
            "protocol": "ANY"
          }
              }
            ],
            "ingress": [
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=allow-all-ingress",
                    "k8s:io.cilium.k8s.policy.namespace=cilium-test",
                    "k8s:io.cilium.k8s.policy.uid=f34fdac3-c589-4fa5-8e27-89057bb2c292"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{k8s.io.kubernetes.pod.namespace: cilium-test,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              }
            ],
            "port": 0,
            "protocol": "ANY"
          }
              }
            ]
          },
          "policy-enabled": "both",
          "policy-revision": 57
        },
        "spec": {
          "allowed-egress-identities": [
            2,
            18091,
            16777218,
            22565,
            25074,
            39838
          ],
          "allowed-ingress-identities": [
            22565,
            39838,
            1,
            18091,
            25074
          ],
          "build": 57,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 39838,
          "l4": {
            "egress": [
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=client-egress-to-echo-expression-deny",
                    "k8s:io.cilium.k8s.policy.namespace=cilium-test",
                    "k8s:io.cilium.k8s.policy.uid=a081b00f-8546-48df-a80b-20134df21617"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{k8s.io.kubernetes.pod.namespace: cilium-test,},MatchExpressions:[]LabelSelectorRequirement{LabelSelectorRequirement{Key:any.kind,Operator:In,Values:[echo],},},}": {
                  "IsDeny": true
                }
              }
            ],
            "port": 8080,
            "protocol": "TCP"
          }
              },
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=allow-all-egress",
                    "k8s:io.cilium.k8s.policy.namespace=cilium-test",
                    "k8s:io.cilium.k8s.policy.uid=74e203eb-c07a-4bae-af99-9fa83c5da6dd"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{cidr.0.0.0.0/0: ,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              },
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{k8s.io.kubernetes.pod.namespace: cilium-test,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              },
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{reserved.world: ,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              }
            ],
            "port": 0,
            "protocol": "ANY"
          }
              }
            ],
            "ingress": [
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=allow-all-ingress",
                    "k8s:io.cilium.k8s.policy.namespace=cilium-test",
                    "k8s:io.cilium.k8s.policy.uid=f34fdac3-c589-4fa5-8e27-89057bb2c292"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{k8s.io.kubernetes.pod.namespace: cilium-test,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              }
            ],
            "port": 0,
            "protocol": "ANY"
          }
              }
            ]
          },
          "policy-enabled": "both",
          "policy-revision": 57
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 2227

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 2227

```
Timestamp              Status   State                   Message
2022-12-03T19:54:51Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:51Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:54:51Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:51Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:54:50Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:50Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:54:50Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:50Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:54:50Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:50Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:54:50Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:50Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:54:47Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:47Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:54:47Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:47Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:47Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:54:47Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:47Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:54:30Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:30Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:54:30Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:30Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:54:30Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:30Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:54:30Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:30Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:54:27Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:27Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:54:27Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:27Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:27Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:54:27Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:27Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:54:27Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:27Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:54:26Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:26Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:59Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:59Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:59Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:59Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:59Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:59Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:59Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:58Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:55Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:55Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:55Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:55Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:55Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to policy rules added
2022-12-03T19:53:55Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:55Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:55Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:44Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:44Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:44Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:44Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:44Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:44Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:44Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:44Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:44Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:43Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:43Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:40Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:40Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:40Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:40Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to policy rules added
2022-12-03T19:53:40Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:22Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:22Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:22Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:22Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:22Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:22Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:21Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:21Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:51:46Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:51:46Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:51:46Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:51:46Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:51:40Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:51:40Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:51:40Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:51:40Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:51:27Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:51:27Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:51:27Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:51:27Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:51:20Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:51:20Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:51:20Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:51:20Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:51:17Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:51:17Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:51:17Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:51:17Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:51:09Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:51:09Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:51:09Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:51:09Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:50:46Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:50:46Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:50:46Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:50:46Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:50:40Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:50:40Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:50:40Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:50:40Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:50:37Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:50:37Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:50:36Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:50:36Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:50:32Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:50:32Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:50:32Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:50:32Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:50:28Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:50:28Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:50:28Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:50:28Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:50:02Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:50:02Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:50:02Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:50:02Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:49:58Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:49:58Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:49:58Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:49:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:48:23Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:48:23Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:48:22Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:48:22Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:48:19Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:48:19Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:48:19Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:48:19Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:47:53Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:47:53Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:47:53Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:47:53Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:47:49Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:47:49Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:47:49Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:47:49Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:47:42Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:47:42Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:47:41Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:47:41Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:47:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:47:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:47:38Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:47:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:47:24Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:47:24Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:47:24Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:47:24Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:46:50Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2022-12-03T19:46:50Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:46:50Z   OK       regenerating            Regenerating endpoint: updated security labels
2022-12-03T19:46:50Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2022-12-03T19:46:50Z   OK       ready                   Set identity for this endpoint
2022-12-03T19:46:50Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 39838

```
ID      LABELS
39838   k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=cilium-test
        k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939
        k8s:io.cilium.k8s.policy.serviceaccount=client
        k8s:io.kubernetes.pod.namespace=cilium-test
        k8s:kind=client
        k8s:name=client

```


#### Service list

```
ID   Frontend           Service Type   Backend                          
1    10.0.0.1:443       ClusterIP      1 => 20.50.40.190:443 (active)   
2    10.0.0.10:53       ClusterIP      1 => 10.0.0.118:53 (active)      
                                       2 => 10.0.0.191:53 (active)      
3    10.0.134.0:443     ClusterIP      1 => 10.0.0.52:4443 (active)     
                                       2 => 10.0.0.240:4443 (active)    
4    10.0.94.2:443      ClusterIP      1 => 10.224.0.5:4244 (active)    
                                       2 => 10.224.0.4:4244 (active)    
5    10.0.90.105:80     ClusterIP      1 => 10.0.1.177:4245 (active)    
6    10.0.202.97:8080   ClusterIP      1 => 10.0.1.163:8080 (active)    
7    10.0.50.222:8080   ClusterIP      1 => 10.0.0.172:8080 (active)    
```

#### Cilium memory map


```
00400000-028fb000 r-xp 00000000 00:d8 583810                             /usr/bin/cilium-agent
028fb000-0521d000 r--p 024fb000 00:d8 583810                             /usr/bin/cilium-agent
0521d000-05333000 rw-p 04e1d000 00:d8 583810                             /usr/bin/cilium-agent
05333000-05abe000 rw-p 00000000 00:00 0 
c000000000-c002800000 rw-p 00000000 00:00 0 
c002800000-c004a00000 rw-p 00000000 00:00 0 
c004a00000-c004c00000 rw-p 00000000 00:00 0 
c004c00000-c008000000 ---p 00000000 00:00 0 
7ffa900d8000-7ffa90429000 rw-p 00000000 00:00 0 
7ffa90429000-7ffa9046a000 rw-s 00000000 00:0e 11182                      anon_inode:[perf_event]
7ffa9046a000-7ffa904ab000 rw-s 00000000 00:0e 11182                      anon_inode:[perf_event]
7ffa904ab000-7ffa904fb000 rw-p 00000000 00:00 0 
7ffa904fb000-7ffa904fd000 rw-s 00000000 00:0e 11182                      anon_inode:[perf_event]
7ffa904fd000-7ffa904ff000 rw-s 00000000 00:0e 11182                      anon_inode:[perf_event]
7ffa904ff000-7ffa92e00000 rw-p 00000000 00:00 0 
7ffa92e00000-7ffa93000000 rw-p 00000000 00:00 0 
7ffa93000000-7ffa9308d000 rw-p 00000000 00:00 0 
7ffa9308d000-7ffaa3606000 ---p 00000000 00:00 0 
7ffaa3606000-7ffaa3607000 rw-p 00000000 00:00 0 
7ffaa3607000-7ffab54b6000 ---p 00000000 00:00 0 
7ffab54b6000-7ffab54b7000 rw-p 00000000 00:00 0 
7ffab54b7000-7ffab788c000 ---p 00000000 00:00 0 
7ffab788c000-7ffab788d000 rw-p 00000000 00:00 0 
7ffab788d000-7ffab7d06000 ---p 00000000 00:00 0 
7ffab7d06000-7ffab7d07000 rw-p 00000000 00:00 0 
7ffab7d07000-7ffab7d86000 ---p 00000000 00:00 0 
7ffab7d86000-7ffab7de6000 rw-p 00000000 00:00 0 
7ffc0154d000-7ffc0156e000 rw-p 00000000 00:00 0                          [stack]
7ffc015fc000-7ffc015ff000 r--p 00000000 00:00 0                          [vvar]
7ffc015ff000-7ffc01600000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

```


#### Cilium encryption


