# Cilium debug information

#### Cilium environment keys

```
encrypt-node:false
tunnel-port:0
enable-ipv4-egress-gateway:false
bpf-map-event-buffers:
bpf-lb-dev-ip-addr-inherit:
enable-custom-calls:false
install-iptables-rules:true
identity-allocation-mode:crd
envoy-log:
tofqdns-proxy-port:0
max-controller-interval:0
derive-masquerade-ip-addr-from-device:
bpf-neigh-global-max:524288
k8s-client-burst:0
iptables-random-fully:false
datapath-mode:veth
vtep-endpoint:
enable-ipv6:false
proxy-prometheus-port:0
node-port-bind-protection:true
cflags:
dnsproxy-concurrency-limit:0
monitor-aggregation:none
procfs:/host/proc
preallocate-bpf-maps:false
bpf-lb-rss-ipv4-src-cidr:
enable-ipv4:true
hubble-metrics:
debug-verbose:
enable-auto-protect-node-port-range:true
enable-stateless-nat46x64:false
local-router-ipv6:
bpf-lb-affinity-map-max:0
cluster-health-port:4240
enable-stale-cilium-endpoint-cleanup:true
install-egress-gateway-routes:false
enable-k8s-api-discovery:false
hubble-listen-address::4244
agent-not-ready-taint-key:node.cilium.io/agent-not-ready
enable-ipv6-masquerade:true
dns-policy-unload-on-shutdown:false
certificates-directory:/var/run/cilium/certs
http-retry-timeout:0
enable-ipsec:true
hubble-recorder-storage-path:/var/run/cilium/pcaps
k8s-service-cache-size:128
enable-recorder:false
bgp-announce-lb-ip:false
enable-l7-proxy:true
enable-health-checking:true
read-cni-conf:
http-normalize-path:true
k8s-kubeconfig-path:
hubble-disable-tls:false
agent-labels:
dns-max-ips-per-restored-rule:1000
enable-bgp-control-plane:false
monitor-aggregation-flags:all
write-cni-conf-when-ready:
policy-trigger-interval:1s
vtep-cidr:
enable-wireguard-userspace-fallback:false
bpf-ct-timeout-service-tcp:6h0m0s
enable-cilium-endpoint-slice:false
hubble-skip-unknown-cgroup-ids:true
hubble-metrics-server:
k8s-require-ipv6-pod-cidr:false
bpf-lb-source-range-map-max:0
k8s-namespace:kube-system
gops-port:9890
enable-bpf-tproxy:false
allow-localhost:auto
enable-endpoint-health-checking:true
bgp-config-path:/var/lib/cilium/bgp/config.yaml
bypass-ip-availability-upon-restore:false
log-opt:
cgroup-root:/run/cilium/cgroupv2
ipv6-cluster-alloc-cidr:f00d::/64
enable-ipv6-big-tcp:false
endpoint-gc-interval:5m0s
cluster-pool-ipv4-mask-size:24
version:false
enable-policy:default
bpf-ct-timeout-regular-tcp:6h0m0s
bpf-nat-global-max:524288
bpf-lb-mode:snat
debug:true
ipv4-native-routing-cidr:
arping-refresh-period:30s
exclude-local-address:
pprof-port:6060
log-system-load:false
enable-endpoint-routes:false
cmdref:
bgp-announce-pod-cidr:false
bpf-ct-global-any-max:262144
hubble-tls-key-file:/var/lib/cilium/tls/hubble/server.key
sidecar-istio-proxy-image:cilium/istio_proxy
hubble-event-buffer-capacity:4095
iptables-lock-timeout:5s
enable-k8s-endpoint-slice:true
identity-gc-interval:15m0s
labels:
auto-direct-node-routes:false
enable-local-node-route:true
trace-sock:true
disable-cnp-status-updates:true
k8s-api-server:
enable-ipv4-masquerade:true
egress-masquerade-interfaces:
fqdn-regex-compile-lru-size:1024
bpf-lb-map-max:65536
enable-bpf-clock-probe:true
label-prefix-file:
enable-icmp-rules:true
tunnel:vxlan
ipv6-service-range:auto
api-rate-limit:
bpf-sock-rev-map-max:262144
keep-config:false
enable-k8s-event-handover:false
force-local-policy-eval-at-source:false
enable-node-port:false
fixed-identity-mapping:
mke-cgroup-mount:
hubble-export-file-max-backups:5
endpoint-status:
enable-k8s-terminating-endpoint:true
kvstore-periodic-sync:5m0s
hubble-export-file-compress:false
bpf-ct-timeout-service-tcp-grace:1m0s
devices:
k8s-client-qps:0
kvstore-max-consecutive-quorum-errors:2
policy-audit-mode:false
ipam:cluster-pool
ipsec-key-file:/etc/ipsec/keys
bpf-lb-rev-nat-map-max:0
bpf-ct-timeout-service-any:1m0s
log-driver:
bpf-fragments-map-max:8192
node-port-range:
k8s-heartbeat-timeout:30s
route-metric:0
bpf-lb-external-clusterip:false
enable-hubble:true
http-retry-count:3
enable-local-redirect-policy:false
enable-identity-mark:true
skip-cnp-status-startup-clean:false
bpf-lb-sock-hostns-only:false
node-port-mode:snat
kvstore-lease-ttl:15m0s
ipv4-pod-subnets:
hubble-recorder-sink-queue-size:1024
hubble-socket-path:/var/run/cilium/hubble.sock
ipv6-pod-subnets:
bpf-ct-timeout-regular-tcp-syn:1m0s
kvstore-connectivity-timeout:2m0s
crd-wait-timeout:5m0s
direct-routing-device:
policy-queue-size:100
enable-unreachable-routes:false
k8s-require-ipv4-pod-cidr:false
ipv6-mcast-device:
enable-monitor:true
remove-cilium-node-taints:true
enable-runtime-device-detection:false
proxy-gid:1337
tofqdns-max-deferred-connection-deletes:10000
bpf-lb-maglev-map-max:0
bpf-policy-map-max:16384
prometheus-serve-addr::9962
enable-external-ips:true
http-max-grpc-timeout:0
state-dir:/var/run/cilium
bpf-ct-timeout-regular-tcp-fin:10s
bpf-lb-sock:false
http-idle-timeout:0
allow-icmp-frag-needed:true
identity-heartbeat-timeout:30m0s
enable-well-known-identities:false
enable-health-check-nodeport:true
ipv6-range:auto
srv6-encap-mode:reduced
identity-restore-grace-period:10m0s
ip-allocation-timeout:2m0s
bpf-ct-timeout-regular-any:1m0s
operator-api-serve-addr:127.0.0.1:9234
bpf-root:/sys/fs/bpf
bpf-lb-service-backend-map-max:0
disable-endpoint-crd:false
enable-host-firewall:false
node-port-acceleration:disabled
install-no-conntrack-iptables-rules:false
bpf-lb-algorithm:random
enable-mke:false
allocator-list-timeout:3m0s
identity-change-grace-period:5s
single-cluster-route:false
local-max-addr-scope:252
tofqdns-min-ttl:3600
join-cluster:false
enable-wireguard:false
ipv6-node:auto
enable-ip-masq-agent:false
sockops-enable:false
tofqdns-endpoint-max-ip-per-hostname:50
kube-proxy-replacement:disabled
local-router-ipv4:
enable-srv6:false
encrypt-interface:
k8s-sync-timeout:3m0s
enable-vtep:false
synchronize-k8s-nodes:true
bpf-filter-priority:1
socket-path:/var/run/cilium/cilium.sock
proxy-max-requests-per-connection:0
enable-ipv6-ndp:false
tofqdns-idle-connection-grace-period:0s
bpf-lb-maglev-hash-seed:JLfvgnHc2kaSUFaI
custom-cni-conf:false
annotate-k8s-node:false
config:
enable-bbr:false
bpf-ct-global-tcp-max:524288
enable-hubble-recorder-api:true
hubble-export-file-max-size-mb:10
enable-ipv4-fragment-tracking:true
cni-chaining-mode:
ipv4-service-range:auto
disable-iptables-feeder-rules:
lib-dir:/var/lib/cilium
hubble-prefer-ipv6:false
enable-host-legacy-routing:false
nodes-gc-interval:5m0s
set-cilium-is-up-condition:true
dnsproxy-concurrency-processing-grace-period:0s
ipv6-native-routing-cidr:
trace-payloadlen:128
bpf-lb-maglev-table-size:16381
monitor-aggregation-interval:5s
http-request-timeout:3600
kvstore:
proxy-max-connection-duration-seconds:0
hubble-event-queue-size:0
enable-xt-socket-fallback:true
cluster-name:cilium-cilium-3609902939
enable-xdp-prefilter:false
kube-proxy-replacement-healthz-bind-address:
unmanaged-pod-watcher-interval:15
bpf-map-dynamic-size-ratio:0.0025
enable-tracing:false
endpoint-queue-size:25
enable-service-topology:false
cluster-pool-ipv4-cidr:10.0.0.0/8
clustermesh-config:/var/lib/cilium/clustermesh/
enable-session-affinity:false
restore:true
tofqdns-proxy-response-max-delay:100ms
mtu:0
bpf-lb-dsr-l4-xlate:frontend
kvstore-opt:
envoy-config-timeout:2m0s
http-403-msg:
hubble-tls-client-ca-files:/var/lib/cilium/tls/hubble/client-ca.crt
tofqdns-dns-reject-response-code:refused
ip-masq-agent-config-path:/etc/config/ip-masq-agent
enable-pmtu-discovery:false
enable-bpf-masquerade:false
ipv4-range:auto
tofqdns-pre-cache:
enable-bandwidth-manager:false
vlan-bpf-bypass:
vtep-mac:
enable-svc-source-range-check:true
hubble-tls-cert-file:/var/lib/cilium/tls/hubble/server.crt
prepend-iptables-chains:true
monitor-queue-size:0
enable-sctp:false
bpf-lb-rss-ipv6-src-cidr:
enable-host-port:true
proxy-connect-timeout:1
auto-create-cilium-node-resource:true
bpf-lb-acceleration:disabled
pprof:false
k8s-watcher-endpoint-selector:metadata.name!=kube-scheduler,metadata.name!=kube-controller-manager,metadata.name!=etcd-operator,metadata.name!=gcp-controller-manager
cluster-id:0
bpf-lb-service-map-max:0
conntrack-gc-interval:0s
egress-multi-home-ip-rule-compat:false
enable-envoy-config:false
metrics:
bpf-lb-dsr-dispatch:opt
disable-envoy-version-check:false
vtep-mask:
k8s-service-proxy-name:
ipv4-service-loopback-address:169.254.42.1
config-dir:/tmp/cilium/config-map
hubble-export-file-path:
enable-remote-node-identity:true
enable-l2-neigh-discovery:true
ipv4-node:auto
agent-health-port:9879
tofqdns-enable-dns-compression:true
node-port-algorithm:random
cilium-endpoint-gc-interval:5m0s
```


#### Cilium memory map


```
00400000-028fb000 r-xp 00000000 00:c5 583790                             /usr/bin/cilium-agent
028fb000-0521d000 r--p 024fb000 00:c5 583790                             /usr/bin/cilium-agent
0521d000-05333000 rw-p 04e1d000 00:c5 583790                             /usr/bin/cilium-agent
05333000-05abe000 rw-p 00000000 00:00 0 
c000000000-c003a00000 rw-p 00000000 00:00 0 
c003a00000-c004200000 rw-p 00000000 00:00 0 
c004200000-c004400000 rw-p 00000000 00:00 0 
c004400000-c008000000 ---p 00000000 00:00 0 
7fea7723b000-7fea7755c000 rw-p 00000000 00:00 0 
7fea7755c000-7fea7759d000 rw-s 00000000 00:0e 11194                      anon_inode:[perf_event]
7fea7759d000-7fea775de000 rw-s 00000000 00:0e 11194                      anon_inode:[perf_event]
7fea775de000-7fea7762e000 rw-p 00000000 00:00 0 
7fea7762e000-7fea77630000 rw-s 00000000 00:0e 11194                      anon_inode:[perf_event]
7fea77630000-7fea77632000 rw-s 00000000 00:0e 11194                      anon_inode:[perf_event]
7fea77632000-7fea79e00000 rw-p 00000000 00:00 0 
7fea79e00000-7fea7a000000 rw-p 00000000 00:00 0 
7fea7a000000-7fea7a1c0000 rw-p 00000000 00:00 0 
7fea7a1c0000-7fea8a739000 ---p 00000000 00:00 0 
7fea8a739000-7fea8a73a000 rw-p 00000000 00:00 0 
7fea8a73a000-7fea9c5e9000 ---p 00000000 00:00 0 
7fea9c5e9000-7fea9c5ea000 rw-p 00000000 00:00 0 
7fea9c5ea000-7fea9e9bf000 ---p 00000000 00:00 0 
7fea9e9bf000-7fea9e9c0000 rw-p 00000000 00:00 0 
7fea9e9c0000-7fea9ee39000 ---p 00000000 00:00 0 
7fea9ee39000-7fea9ee3a000 rw-p 00000000 00:00 0 
7fea9ee3a000-7fea9eeb9000 ---p 00000000 00:00 0 
7fea9eeb9000-7fea9ef19000 rw-p 00000000 00:00 0 
7ffc184a1000-7ffc184c2000 rw-p 00000000 00:00 0                          [stack]
7ffc184e4000-7ffc184e7000 r--p 00000000 00:00 0                          [vvar]
7ffc184e7000-7ffc184e8000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

```


#### Cilium version

```
1.12.90 d72a880b 2022-12-03T20:15:54+01:00 go version go1.19.3 linux/amd64
```


#### Cilium status

```
KVStore:                Ok   Disabled
Kubernetes:             Ok   1.23 (v1.23.12) [linux/amd64]
Kubernetes APIs:        ["cilium/v2::CiliumClusterwideNetworkPolicy", "cilium/v2::CiliumEndpoint", "cilium/v2::CiliumNetworkPolicy", "cilium/v2::CiliumNode", "core/v1::Namespace", "core/v1::Node", "core/v1::Pods", "core/v1::Service", "discovery/v1::EndpointSlice", "networking.k8s.io/v1::NetworkPolicy"]
KubeProxyReplacement:   Disabled   
Host firewall:          Disabled
CNI Chaining:           none
CNI Config file:        CNI configuration file management disabled
Cilium:                 Ok   1.12.90 (v1.12.90-d72a880b)
NodeMonitor:            Listening for events on 2 CPUs with 64x4096 of shared memory
Cilium health daemon:   Ok   
IPAM:                   IPv4: 8/254 allocated from 10.0.0.0/24, 
Allocated addresses:
  10.0.0.118 (kube-system/coredns-b4854dd98-fxnzc[restored])
  10.0.0.145 (router)
  10.0.0.172 (cilium-test/echo-other-node-f7549999-5659v)
  10.0.0.191 (kube-system/coredns-b4854dd98-gl4fc[restored])
  10.0.0.240 (kube-system/metrics-server-f77b4cd8-ms9m8[restored])
  10.0.0.25 (kube-system/coredns-autoscaler-5589fb5654-zzfwt[restored])
  10.0.0.42 (health)
  10.0.0.52 (kube-system/metrics-server-f77b4cd8-nb2d6[restored])
IPv6 BIG TCP:           Disabled
BandwidthManager:       Disabled
Host Routing:           Legacy
Masquerading:           IPTables [IPv4: Enabled, IPv6: Disabled]
Clock Source for BPF:   ktime
Controller Status:      48/48 healthy
  Name                                          Last success   Last error   Count   Message
  bpf-map-sync-cilium_lxc                       9s ago         never        0       no error   
  cilium-health-ep                              58s ago        never        0       no error   
  dns-garbage-collector-job                     1m1s ago       never        0       no error   
  endpoint-1429-regeneration-recovery           never          never        0       no error   
  endpoint-1989-regeneration-recovery           never          never        0       no error   
  endpoint-270-regeneration-recovery            never          never        0       no error   
  endpoint-3278-regeneration-recovery           never          never        0       no error   
  endpoint-3514-regeneration-recovery           never          never        0       no error   
  endpoint-468-regeneration-recovery            never          never        0       no error   
  endpoint-823-regeneration-recovery            never          never        0       no error   
  endpoint-929-regeneration-recovery            never          never        0       no error   
  endpoint-gc                                   4m2s ago       never        0       no error   
  ipcache-inject-labels                         9m0s ago       9m0s ago     0       no error   
  k8s-heartbeat                                 32s ago        never        0       no error   
  link-cache                                    14s ago        never        0       no error   
  metricsmap-bpf-prom-sync                      6s ago         never        0       no error   
  resolve-identity-1989                         3m58s ago      never        0       no error   
  resolve-identity-468                          3m22s ago      never        0       no error   
  restoring-ep-identity (1429)                  8m59s ago      never        0       no error   
  restoring-ep-identity (270)                   8m59s ago      never        0       no error   
  restoring-ep-identity (3278)                  8m59s ago      never        0       no error   
  restoring-ep-identity (3514)                  8m59s ago      never        0       no error   
  restoring-ep-identity (823)                   8m59s ago      never        0       no error   
  restoring-ep-identity (929)                   8m59s ago      never        0       no error   
  sync-endpoints-and-host-ips                   59s ago        never        0       no error   
  sync-lb-maps-with-k8s-services                8m59s ago      never        0       no error   
  sync-policymap-1429                           55s ago        never        0       no error   
  sync-policymap-1989                           54s ago        never        0       no error   
  sync-policymap-270                            55s ago        never        0       no error   
  sync-policymap-3278                           54s ago        never        0       no error   
  sync-policymap-3514                           54s ago        never        0       no error   
  sync-policymap-468                            22s ago        never        0       no error   
  sync-policymap-823                            54s ago        never        0       no error   
  sync-policymap-929                            58s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (1429)             9s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (1989)             8s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (270)              9s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (3278)             9s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (3514)             9s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (468)              12s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (823)              9s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (929)              9s ago         never        0       no error   
  template-dir-watcher                          never          never        0       no error   
  waiting-initial-global-identities-ep (1429)   8m59s ago      never        0       no error   
  waiting-initial-global-identities-ep (270)    8m59s ago      never        0       no error   
  waiting-initial-global-identities-ep (3278)   8m59s ago      never        0       no error   
  waiting-initial-global-identities-ep (3514)   8m59s ago      never        0       no error   
  waiting-initial-global-identities-ep (823)    8m59s ago      never        0       no error   
Proxy Status:            OK, ip 10.0.0.145, 0 redirects active on ports 10000-20000
Global Identity Range:   min 256, max 65535
Hubble:                  Ok   Current/Max Flows: 4095/4095 (100.00%), Flows/s: 99.74   Metrics: Disabled
KubeProxyReplacement Details:
  Status:                 Disabled
  Socket LB:              Disabled
  Socket LB Tracing:      Disabled
  Session Affinity:       Disabled
  Graceful Termination:   Enabled
  NAT46/64 Support:       Disabled
  Services:
  - ClusterIP:      Enabled
  - NodePort:       Disabled 
  - LoadBalancer:   Disabled 
  - externalIPs:    Disabled 
  - HostPort:       Disabled
BPF Maps:   dynamic sizing: on (ratio: 0.002500)
  Name                          Size
  Non-TCP connection tracking   65536
  TCP connection tracking       131072
  Endpoint policy               65535
  Events                        2
  IP cache                      512000
  IP masquerading agent         16384
  IPv4 fragmentation            8192
  IPv4 service                  65536
  IPv6 service                  65536
  IPv4 service backend          65536
  IPv6 service backend          65536
  IPv4 service reverse NAT      65536
  IPv6 service reverse NAT      65536
  Metrics                       1024
  NAT                           131072
  Neighbor table                131072
  Global policy                 16384
  Per endpoint policy           65536
  Session affinity              65536
  Signal                        2
  Sockmap                       65535
  Sock reverse NAT              65536
  Tunnel                        65536
Encryption:   IPsec
```

#### Service list

```
ID   Frontend           Service Type   Backend                          
1    10.0.0.1:443       ClusterIP      1 => 20.50.40.190:443 (active)   
2    10.0.0.10:53       ClusterIP      1 => 10.0.0.118:53 (active)      
                                       2 => 10.0.0.191:53 (active)      
3    10.0.134.0:443     ClusterIP      1 => 10.0.0.52:4443 (active)     
                                       2 => 10.0.0.240:4443 (active)    
4    10.0.94.2:443      ClusterIP      1 => 10.224.0.4:4244 (active)    
                                       2 => 10.224.0.5:4244 (active)    
5    10.0.90.105:80     ClusterIP      1 => 10.0.1.177:4245 (active)    
6    10.0.202.97:8080   ClusterIP      1 => 10.0.1.163:8080 (active)    
7    10.0.50.222:8080   ClusterIP      1 => 10.0.0.172:8080 (active)    
```

#### Policy get

```
:
 [
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "konnectivity-agent",
        "k8s:io.kubernetes.pod.namespace": "kube-system"
      }
    },
    "egress": [
      {
        "toEndpoints": [
          {}
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "konnectivity-agent",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "kube-system",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "fd4b13b1-0f74-4559-960b-069e98979ffe",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "cilium-test"
      },
      "matchExpressions": [
        {
          "key": "any:name",
          "operator": "In",
          "values": [
            "client"
          ]
        }
      ]
    },
    "egressDeny": [
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:io.kubernetes.pod.namespace": "cilium-test"
            },
            "matchExpressions": [
              {
                "key": "any:kind",
                "operator": "In",
                "values": [
                  "echo"
                ]
              }
            ]
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "8080",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "CiliumNetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "client-egress-to-echo-expression-deny",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "cilium-test",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "a081b00f-8546-48df-a80b-20134df21617",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "cilium-test"
      }
    },
    "egress": [
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:io.kubernetes.pod.namespace": "cilium-test"
            }
          }
        ]
      },
      {
        "toCIDR": [
          "0.0.0.0/0"
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "CiliumNetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "allow-all-egress",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "cilium-test",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "74e203eb-c07a-4bae-af99-9fa83c5da6dd",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "cilium-test"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:io.kubernetes.pod.namespace": "cilium-test"
            }
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "CiliumNetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "allow-all-ingress",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "cilium-test",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "f34fdac3-c589-4fa5-8e27-89057bb2c292",
        "source": "k8s"
      }
    ]
  }
]
Revision: 57

```


#### ipam

```
<nil>
```


#### k8s-service-cache

```
(*k8s.ServiceCache)(0xc0000fdbe0)({
 Events: (chan k8s.ServiceEvent) (cap=128) 0xc0001d67e0,
 mutex: (lock.RWMutex) {
  internalRWMutex: (lock.internalRWMutex) {
   RWMutex: (sync.RWMutex) {
    w: (sync.Mutex) {
     state: (int32) 0,
     sema: (uint32) 0
    },
    writerSem: (uint32) 0,
    readerSem: (uint32) 0,
    readerCount: (int32) 1,
    readerWait: (int32) 0
   }
  }
 },
 services: (map[k8s.ServiceID]*k8s.Service) (len=7) {
  (k8s.ServiceID) cilium-test/echo-same-node: (*k8s.Service)(0xc000cbeaa0)(frontends:[10.0.202.97]/ports=[http]/selector=map[name:echo-same-node]),
  (k8s.ServiceID) cilium-test/echo-other-node: (*k8s.Service)(0xc002f225a0)(frontends:[10.0.50.222]/ports=[http]/selector=map[name:echo-other-node]),
  (k8s.ServiceID) default/kubernetes: (*k8s.Service)(0xc000c08b40)(frontends:[10.0.0.1]/ports=[https]/selector=map[]),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.Service)(0xc000c08be0)(frontends:[10.0.0.10]/ports=[dns dns-tcp]/selector=map[k8s-app:kube-dns]),
  (k8s.ServiceID) kube-system/metrics-server: (*k8s.Service)(0xc000c08c80)(frontends:[10.0.134.0]/ports=[]/selector=map[k8s-app:metrics-server]),
  (k8s.ServiceID) kube-system/hubble-peer: (*k8s.Service)(0xc001659b80)(frontends:[10.0.94.2]/ports=[peer-service]/selector=map[k8s-app:cilium]),
  (k8s.ServiceID) kube-system/hubble-relay: (*k8s.Service)(0xc0007b2640)(frontends:[10.0.90.105]/ports=[]/selector=map[k8s-app:hubble-relay])
 },
 endpoints: (map[k8s.ServiceID]*k8s.EndpointSlices) (len=7) {
  (k8s.ServiceID) cilium-test/echo-same-node: (*k8s.EndpointSlices)(0xc00058f678)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=20) "echo-same-node-wz8jg": (*k8s.Endpoints)(0xc00011f9e0)(10.0.1.163:8080/TCP)
   }
  }),
  (k8s.ServiceID) cilium-test/echo-other-node: (*k8s.EndpointSlices)(0xc00058f810)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=21) "echo-other-node-zb5wl": (*k8s.Endpoints)(0xc00011f580)(10.0.0.172:8080/TCP)
   }
  }),
  (k8s.ServiceID) default/kubernetes: (*k8s.EndpointSlices)(0xc00027af20)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=10) "kubernetes": (*k8s.Endpoints)(0xc00027af18)(20.50.40.190:443/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.EndpointSlices)(0xc00027b040)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=14) "kube-dns-fm8gb": (*k8s.Endpoints)(0xc00027b038)(10.0.0.118:53/TCP,10.0.0.118:53/UDP,10.0.0.191:53/TCP,10.0.0.191:53/UDP)
   }
  }),
  (k8s.ServiceID) kube-system/metrics-server: (*k8s.EndpointSlices)(0xc00027b058)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=20) "metrics-server-plpvl": (*k8s.Endpoints)(0xc00027b050)(10.0.0.240:4443/TCP,10.0.0.52:4443/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-peer: (*k8s.EndpointSlices)(0xc0021419c8)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=17) "hubble-peer-7gzmv": (*k8s.Endpoints)(0xc0021419c0)(10.224.0.4:4244/TCP,10.224.0.5:4244/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-relay: (*k8s.EndpointSlices)(0xc002141b88)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=18) "hubble-relay-q5b22": (*k8s.Endpoints)(0xc001dfe278)(10.0.1.177:4245/TCP)
   }
  })
 },
 externalEndpoints: (map[k8s.ServiceID]k8s.externalEndpoints) {
 },
 nodeAddressing: (*linux.linuxNodeAddressing)(0x58a83a8)({
  ipv6: (linux.addressFamilyIPv6) {
  },
  ipv4: (linux.addressFamilyIPv4) {
  }
 }),
 selfNodeZoneLabel: (string) ""
})

```


#### kvstore-locks

```
(map[string]kvstore.lockOwner) {
}

```


#### ongoing-endpoint-creations


#### Cilium encryption



#### Kernel version

```
5.4.0
```


#### Endpoint list

```
ENDPOINT   POLICY (ingress)   POLICY (egress)   IDENTITY   LABELS (source:key[=value])                                                                        IPv6   IPv4         STATUS   
           ENFORCEMENT        ENFORCEMENT                                                                                                                                         
270        Disabled           Disabled          45252      k8s:io.cilium.k8s.namespace.labels.addonmanager.kubernetes.io/mode=Reconcile                              10.0.0.191   ready   
                                                           k8s:io.cilium.k8s.namespace.labels.control-plane=true                                                                          
                                                           k8s:io.cilium.k8s.namespace.labels.kubernetes.io/cluster-service=true                                                          
                                                           k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system                                                     
                                                           k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939                                                                      
                                                           k8s:io.cilium.k8s.policy.serviceaccount=coredns                                                                                
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                                                                    
                                                           k8s:k8s-app=kube-dns                                                                                                           
                                                           k8s:version=v20                                                                                                                
468        Enabled            Enabled           22565      k8s:first=echo                                                                                            10.0.0.172   ready   
                                                           k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=cilium-test                                                     
                                                           k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939                                                                      
                                                           k8s:io.cilium.k8s.policy.serviceaccount=echo-other-node                                                                        
                                                           k8s:io.kubernetes.pod.namespace=cilium-test                                                                                    
                                                           k8s:kind=echo                                                                                                                  
                                                           k8s:name=echo-other-node                                                                                                       
823        Disabled           Disabled          16733      k8s:io.cilium.k8s.namespace.labels.addonmanager.kubernetes.io/mode=Reconcile                              10.0.0.240   ready   
                                                           k8s:io.cilium.k8s.namespace.labels.control-plane=true                                                                          
                                                           k8s:io.cilium.k8s.namespace.labels.kubernetes.io/cluster-service=true                                                          
                                                           k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system                                                     
                                                           k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939                                                                      
                                                           k8s:io.cilium.k8s.policy.serviceaccount=metrics-server                                                                         
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                                                                    
                                                           k8s:k8s-app=metrics-server                                                                                                     
929        Disabled           Disabled          1          k8s:agentpool=nodepool1                                                                                                ready   
                                                           k8s:kubernetes.azure.com/agentpool=nodepool1                                                                                   
                                                           k8s:kubernetes.azure.com/cluster=MC_cilium-cilium-3609902939_cilium-cilium-3609902939_westeurope                               
                                                           k8s:kubernetes.azure.com/kubelet-identity-client-id=c57d3edc-a84e-4e5a-9d02-ca7e18b8c6ab                                       
                                                           k8s:kubernetes.azure.com/mode=system                                                                                           
                                                           k8s:kubernetes.azure.com/node-image-version=AKSUbuntu-1804gen2containerd-2022.11.02                                            
                                                           k8s:kubernetes.azure.com/os-sku=Ubuntu                                                                                         
                                                           k8s:kubernetes.azure.com/role=agent                                                                                            
                                                           k8s:node-role.kubernetes.io/agent                                                                                              
                                                           k8s:node.kubernetes.io/instance-type=Standard_B2s                                                                              
                                                           k8s:topology.disk.csi.azure.com/zone                                                                                           
                                                           k8s:topology.kubernetes.io/region=westeurope                                                                                   
                                                           k8s:topology.kubernetes.io/zone=0                                                                                              
                                                           reserved:host                                                                                                                  
1429       Disabled           Disabled          23721      k8s:io.cilium.k8s.namespace.labels.addonmanager.kubernetes.io/mode=Reconcile                              10.0.0.25    ready   
                                                           k8s:io.cilium.k8s.namespace.labels.control-plane=true                                                                          
                                                           k8s:io.cilium.k8s.namespace.labels.kubernetes.io/cluster-service=true                                                          
                                                           k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system                                                     
                                                           k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939                                                                      
                                                           k8s:io.cilium.k8s.policy.serviceaccount=coredns-autoscaler                                                                     
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                                                                    
                                                           k8s:k8s-app=coredns-autoscaler                                                                                                 
1989       Disabled           Disabled          4          reserved:health                                                                                           10.0.0.42    ready   
3278       Disabled           Disabled          16733      k8s:io.cilium.k8s.namespace.labels.addonmanager.kubernetes.io/mode=Reconcile                              10.0.0.52    ready   
                                                           k8s:io.cilium.k8s.namespace.labels.control-plane=true                                                                          
                                                           k8s:io.cilium.k8s.namespace.labels.kubernetes.io/cluster-service=true                                                          
                                                           k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system                                                     
                                                           k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939                                                                      
                                                           k8s:io.cilium.k8s.policy.serviceaccount=metrics-server                                                                         
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                                                                    
                                                           k8s:k8s-app=metrics-server                                                                                                     
3514       Disabled           Disabled          45252      k8s:io.cilium.k8s.namespace.labels.addonmanager.kubernetes.io/mode=Reconcile                              10.0.0.118   ready   
                                                           k8s:io.cilium.k8s.namespace.labels.control-plane=true                                                                          
                                                           k8s:io.cilium.k8s.namespace.labels.kubernetes.io/cluster-service=true                                                          
                                                           k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system                                                     
                                                           k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939                                                                      
                                                           k8s:io.cilium.k8s.policy.serviceaccount=coredns                                                                                
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                                                                    
                                                           k8s:k8s-app=kube-dns                                                                                                           
                                                           k8s:version=v20                                                                                                                
```

#### BPF Policy Get 270

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES    PACKETS   
Allow    Ingress     0          ANY          NONE         104199   279       
Allow    Ingress     1          ANY          NONE         127788   1443      
Allow    Egress      0          ANY          NONE         170902   1656      

```


#### BPF CT List 270

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_00270: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_00270: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_00270: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_00270: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_00270: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_00270: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_00270: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_00270: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 270

```
[
  {
    "id": 270,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-270-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "f8dc580d-3969-4e04-b20c-f4d832de6aa8"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "restoring-ep-identity (270)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:46:13.986Z",
            "success-count": 1
          },
          "uuid": "d1d01005-106c-4f4a-8802-f734ffc408fc"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-270",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:54:18.383Z",
            "success-count": 9
          },
          "uuid": "3f1bfd22-6462-4ca6-b014-2deee491ab70"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (270)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:55:04.135Z",
            "success-count": 54
          },
          "uuid": "38049365-a3ef-4100-aa99-f32021f241ad"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "waiting-initial-global-identities-ep (270)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:46:13.986Z",
            "success-count": 1
          },
          "uuid": "05de6102-1b75-4bb7-bfd6-93cdab7a6358"
        }
      ],
      "external-identifiers": {
        "container-id": "1192b2b4c081d40bcaac662c99515546299832cd41deffd71fe7131bb7a5b0a2",
        "k8s-namespace": "kube-system",
        "k8s-pod-name": "coredns-b4854dd98-gl4fc",
        "pod-name": "kube-system/coredns-b4854dd98-gl4fc"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 45252,
        "labels": [
          "k8s:k8s-app=kube-dns",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939",
          "k8s:io.cilium.k8s.policy.serviceaccount=coredns",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:io.cilium.k8s.namespace.labels.addonmanager.kubernetes.io/mode=Reconcile",
          "k8s:io.cilium.k8s.namespace.labels.control-plane=true",
          "k8s:version=v20",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/cluster-service=true"
        ]
      },
      "labels": {
        "derived": [
          "k8s:kubernetes.io/cluster-service=true",
          "k8s:pod-template-hash=b4854dd98"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.namespace.labels.addonmanager.kubernetes.io/mode=Reconcile",
          "k8s:io.cilium.k8s.namespace.labels.control-plane=true",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/cluster-service=true",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939",
          "k8s:io.cilium.k8s.policy.serviceaccount=coredns",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=kube-dns",
          "k8s:version=v20"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: syncing state to host)",
          "state": "ready",
          "timestamp": "2022-12-03T19:46:18Z"
        }
      ],
      "namedPorts": [
        {
          "name": "dns",
          "port": 53,
          "protocol": "UDP"
        },
        {
          "name": "dns-tcp",
          "port": 53,
          "protocol": "TCP"
        },
        {
          "name": "metrics",
          "port": 9153,
          "protocol": "TCP"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.0.0.191"
          }
        ],
        "host-mac": "36:c3:94:8b:95:b4",
        "interface-index": 11,
        "interface-name": "lxc05a9be0d3764",
        "mac": "1a:d9:78:47:99:ee"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 57,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 45252,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 57
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 45252,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 270

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 270

```
Timestamp              Status   State          Message
2022-12-03T19:46:18Z   OK       ready          Successfully regenerated endpoint program (Reason: syncing state to host)
2022-12-03T19:46:18Z   OK       ready          Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:46:13Z   OK       regenerating   Regenerating endpoint: syncing state to host
2022-12-03T19:46:13Z   OK       restoring      Synchronizing endpoint labels with KVStore
2022-12-03T19:46:12Z   OK       restoring      Restoring endpoint from previous cilium instance
2022-12-03T19:46:11Z   OK       restoring      Endpoint restoring

```


#### Identity get 45252

```
ID      LABELS
45252   k8s:io.cilium.k8s.namespace.labels.addonmanager.kubernetes.io/mode=Reconcile
        k8s:io.cilium.k8s.namespace.labels.control-plane=true
        k8s:io.cilium.k8s.namespace.labels.kubernetes.io/cluster-service=true
        k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system
        k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939
        k8s:io.cilium.k8s.policy.serviceaccount=coredns
        k8s:io.kubernetes.pod.namespace=kube-system
        k8s:k8s-app=kube-dns
        k8s:version=v20

```


#### BPF Policy Get 468

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES    PACKETS   
Allow    Ingress     1          ANY          NONE         492675   5750      
Allow    Ingress     18091      ANY          NONE         222      3         
Allow    Ingress     22565      ANY          NONE         0        0         
Allow    Ingress     25074      ANY          NONE         0        0         
Allow    Ingress     39838      ANY          NONE         0        0         
Allow    Egress      2          ANY          NONE         0        0         
Allow    Egress      18091      ANY          NONE         0        0         
Allow    Egress      22565      ANY          NONE         0        0         
Allow    Egress      25074      ANY          NONE         0        0         
Allow    Egress      39838      ANY          NONE         0        0         
Allow    Egress      16777218   ANY          NONE         0        0         

```


#### BPF CT List 468

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_00468: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_00468: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_00468: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_00468: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_00468: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_00468: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_00468: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_00468: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 468

```
[
  {
    "id": 468,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-468-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "fdbf9487-f8c0-4e27-b8ba-556cc60b6ec6"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-468",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:51:50.778Z",
            "success-count": 2
          },
          "uuid": "d904b142-cb8e-42e0-a23e-f3563edf4637"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-468",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:54:51.256Z",
            "success-count": 42
          },
          "uuid": "dd394735-59a2-4197-bdd7-13a86b21b8e3"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (468)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:55:10.841Z",
            "success-count": 52
          },
          "uuid": "1b88924c-d7fa-421f-9e43-0bbafd12facf"
        }
      ],
      "external-identifiers": {
        "container-id": "570d7abcb0956eaee0bc61bc6b6f91c0448207486d22e7f53535afa89f849c7d",
        "k8s-namespace": "cilium-test",
        "k8s-pod-name": "echo-other-node-f7549999-5659v",
        "pod-name": "cilium-test/echo-other-node-f7549999-5659v"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 22565,
        "labels": [
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939",
          "k8s:kind=echo",
          "k8s:name=echo-other-node",
          "k8s:first=echo",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=cilium-test",
          "k8s:io.kubernetes.pod.namespace=cilium-test",
          "k8s:io.cilium.k8s.policy.serviceaccount=echo-other-node"
        ]
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=f7549999"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:first=echo",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=cilium-test",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939",
          "k8s:io.cilium.k8s.policy.serviceaccount=echo-other-node",
          "k8s:io.kubernetes.pod.namespace=cilium-test",
          "k8s:kind=echo",
          "k8s:name=echo-other-node"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: policy rules added)",
          "state": "ready",
          "timestamp": "2022-12-03T19:54:51Z"
        }
      ],
      "namedPorts": [
        {
          "name": "dns-53",
          "port": 53,
          "protocol": "TCP"
        },
        {
          "name": "dns-udp-53",
          "port": 53,
          "protocol": "UDP"
        },
        {
          "name": "http-8080",
          "port": 8080,
          "protocol": "TCP"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.0.0.172"
          }
        ],
        "host-mac": "56:9b:6e:e2:30:d1",
        "interface-index": 27,
        "interface-name": "lxcfb9382d1e684",
        "mac": "e2:19:ad:32:41:6e"
      },
      "policy": {
        "proxy-policy-revision": 30,
        "proxy-statistics": [
          {
            "location": "ingress",
            "port": 8080,
            "protocol": "http",
            "statistics": {
              "requests": {
                "denied": 2,
                "forwarded": 4,
                "received": 6
              },
              "responses": {
                "forwarded": 6,
                "received": 6
              }
            }
          }
        ],
        "realized": {
          "allowed-egress-identities": [
            18091,
            25074,
            39838,
            22565,
            2,
            16777218
          ],
          "allowed-ingress-identities": [
            39838,
            1,
            18091,
            22565,
            25074
          ],
          "build": 57,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 22565,
          "l4": {
            "egress": [
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=allow-all-egress",
                    "k8s:io.cilium.k8s.policy.namespace=cilium-test",
                    "k8s:io.cilium.k8s.policy.uid=74e203eb-c07a-4bae-af99-9fa83c5da6dd"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{cidr.0.0.0.0/0: ,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              },
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{k8s.io.kubernetes.pod.namespace: cilium-test,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              },
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{reserved.world: ,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              }
            ],
            "port": 0,
            "protocol": "ANY"
          }
              }
            ],
            "ingress": [
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=allow-all-ingress",
                    "k8s:io.cilium.k8s.policy.namespace=cilium-test",
                    "k8s:io.cilium.k8s.policy.uid=f34fdac3-c589-4fa5-8e27-89057bb2c292"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{k8s.io.kubernetes.pod.namespace: cilium-test,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              }
            ],
            "port": 0,
            "protocol": "ANY"
          }
              }
            ]
          },
          "policy-enabled": "both",
          "policy-revision": 57
        },
        "spec": {
          "allowed-egress-identities": [
            22565,
            2,
            16777218,
            25074,
            39838,
            18091
          ],
          "allowed-ingress-identities": [
            25074,
            18091,
            22565,
            1,
            39838
          ],
          "build": 57,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 22565,
          "l4": {
            "egress": [
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=allow-all-egress",
                    "k8s:io.cilium.k8s.policy.namespace=cilium-test",
                    "k8s:io.cilium.k8s.policy.uid=74e203eb-c07a-4bae-af99-9fa83c5da6dd"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{cidr.0.0.0.0/0: ,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              },
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{k8s.io.kubernetes.pod.namespace: cilium-test,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              },
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{reserved.world: ,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              }
            ],
            "port": 0,
            "protocol": "ANY"
          }
              }
            ],
            "ingress": [
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=allow-all-ingress",
                    "k8s:io.cilium.k8s.policy.namespace=cilium-test",
                    "k8s:io.cilium.k8s.policy.uid=f34fdac3-c589-4fa5-8e27-89057bb2c292"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{k8s.io.kubernetes.pod.namespace: cilium-test,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              }
            ],
            "port": 0,
            "protocol": "ANY"
          }
              }
            ]
          },
          "policy-enabled": "both",
          "policy-revision": 57
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 468

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 468

```
Timestamp              Status   State                   Message
2022-12-03T19:54:51Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:51Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:54:51Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:51Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:54:51Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:51Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:54:50Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:50Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:54:47Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:47Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:54:47Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:47Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:54:47Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:47Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:54:47Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:47Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:54:47Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:47Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:54:47Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:47Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:54:30Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:30Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:54:30Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:30Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:54:30Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:30Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:54:30Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:30Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:54:30Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:30Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:54:30Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:30Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:54:27Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:27Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:54:27Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:27Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:54:27Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:54:27Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:54:26Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:54:26Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:59Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:59Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:58Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:58Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:58Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:58Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:55Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:55Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:55Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:55Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:55Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:55Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:55Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:44Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:44Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:44Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:44Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:44Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:44Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:43Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:43Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:40Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:40Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:40Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:40Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:40Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:40Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:40Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:40Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:40Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:40Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:40Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:22Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:22Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:22Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:22Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:22Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:22Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:22Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:22Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:22Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:22Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:21Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:21Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:53:18Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:53:18Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:53:18Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:53:18Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:52:36Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:52:36Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:52:35Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:52:35Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:52:32Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:52:32Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:52:32Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:52:32Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:51:50Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:51:50Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:51:50Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:51:50Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:51:06Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:51:06Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:51:06Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:51:06Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:50:49Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:50:49Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:50:49Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:50:49Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:50:46Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:50:46Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:50:46Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:50:46Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:50:40Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:50:40Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:50:40Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:50:40Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:50:36Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:50:36Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:50:36Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:50:36Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:50:32Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:50:32Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:50:32Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:50:32Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:50:28Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:50:28Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:50:28Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:50:28Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:50:02Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:50:02Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:50:02Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:50:02Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:49:58Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:49:58Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:49:58Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:49:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:48:23Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:48:23Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:48:22Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:48:22Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:48:19Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:48:19Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:48:19Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:48:19Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:47:53Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:47:53Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:47:53Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:47:53Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:47:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:47:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:47:38Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:47:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:47:24Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2022-12-03T19:47:24Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:47:24Z   OK       regenerating            Regenerating endpoint: policy rules added
2022-12-03T19:47:24Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2022-12-03T19:46:50Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2022-12-03T19:46:50Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:46:50Z   OK       regenerating            Regenerating endpoint: updated security labels
2022-12-03T19:46:50Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2022-12-03T19:46:50Z   OK       ready                   Set identity for this endpoint
2022-12-03T19:46:50Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 22565

```
ID      LABELS
22565   k8s:first=echo
        k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=cilium-test
        k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939
        k8s:io.cilium.k8s.policy.serviceaccount=echo-other-node
        k8s:io.kubernetes.pod.namespace=cilium-test
        k8s:kind=echo
        k8s:name=echo-other-node

```


#### BPF Policy Get 823

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES     PACKETS   
Allow    Ingress     0          ANY          NONE         2244402   1517      
Allow    Ingress     1          ANY          NONE         982225    5531      
Allow    Egress      0          ANY          NONE         1373857   6578      

```


#### BPF CT List 823

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_00823: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_00823: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_00823: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_00823: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_00823: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_00823: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_00823: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_00823: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 823

```
[
  {
    "id": 823,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-823-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "3912a22c-c353-46f9-8d85-a09a3f8ed626"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "restoring-ep-identity (823)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:46:14.003Z",
            "success-count": 1
          },
          "uuid": "0b32f624-56ca-43eb-9079-f28c0331377b"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-823",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:54:18.670Z",
            "success-count": 9
          },
          "uuid": "3cd5af6e-f2b4-4356-a4bf-1fba4ebdfb61"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (823)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:55:14.126Z",
            "success-count": 55
          },
          "uuid": "ff6fc2fa-9ef5-4ee3-a25b-5b4d42ab3523"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "waiting-initial-global-identities-ep (823)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:46:14.020Z",
            "success-count": 1
          },
          "uuid": "62057abe-d44b-4a89-a594-4b5cd17aaed0"
        }
      ],
      "external-identifiers": {
        "container-id": "cfdd4abd5aa864550e7b82bd9672191bc4fa0be282ca48e09760086a1207f956",
        "k8s-namespace": "kube-system",
        "k8s-pod-name": "metrics-server-f77b4cd8-ms9m8",
        "pod-name": "kube-system/metrics-server-f77b4cd8-ms9m8"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 16733,
        "labels": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.serviceaccount=metrics-server",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=metrics-server",
          "k8s:io.cilium.k8s.namespace.labels.control-plane=true",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939",
          "k8s:io.cilium.k8s.namespace.labels.addonmanager.kubernetes.io/mode=Reconcile",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/cluster-service=true"
        ]
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=f77b4cd8"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.namespace.labels.addonmanager.kubernetes.io/mode=Reconcile",
          "k8s:io.cilium.k8s.namespace.labels.control-plane=true",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/cluster-service=true",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939",
          "k8s:io.cilium.k8s.policy.serviceaccount=metrics-server",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=metrics-server"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: syncing state to host)",
          "state": "ready",
          "timestamp": "2022-12-03T19:46:18Z"
        }
      ],
      "namedPorts": [
        {
          "name": "ms-https",
          "port": 4443,
          "protocol": "TCP"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.0.0.240"
          }
        ],
        "host-mac": "d2:51:94:70:cb:7c",
        "interface-index": 15,
        "interface-name": "lxceb50ef19cf44",
        "mac": "b6:ed:89:c0:93:ab"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 57,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 16733,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 57
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            1,
            0
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 16733,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 823

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 823

```
Timestamp              Status   State          Message
2022-12-03T19:46:18Z   OK       ready          Successfully regenerated endpoint program (Reason: syncing state to host)
2022-12-03T19:46:18Z   OK       ready          Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:46:18Z   OK       regenerating   Regenerating endpoint: syncing state to host
2022-12-03T19:46:14Z   OK       restoring      Synchronizing endpoint labels with KVStore
2022-12-03T19:46:12Z   OK       restoring      Restoring endpoint from previous cilium instance
2022-12-03T19:46:11Z   OK       restoring      Endpoint restoring

```


#### Identity get 16733

```
ID      LABELS
16733   k8s:io.cilium.k8s.namespace.labels.addonmanager.kubernetes.io/mode=Reconcile
        k8s:io.cilium.k8s.namespace.labels.control-plane=true
        k8s:io.cilium.k8s.namespace.labels.kubernetes.io/cluster-service=true
        k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system
        k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939
        k8s:io.cilium.k8s.policy.serviceaccount=metrics-server
        k8s:io.kubernetes.pod.namespace=kube-system
        k8s:k8s-app=metrics-server

```


#### BPF Policy Get 929

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Allow    Ingress     0          ANY          NONE         0       0         
Allow    Egress      0          ANY          NONE         0       0         

```


#### BPF CT List 929

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_00929: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_00929: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_00929: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_00929: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_00929: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_00929: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_00929: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_00929: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 929

```
[
  {
    "id": 929,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-929-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "1befab52-e77a-4775-babc-f2a6b2ff0f70"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "restoring-ep-identity (929)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:46:13.985Z",
            "success-count": 1
          },
          "uuid": "3c06a24c-2794-4ec4-bd9a-5ac336add8ae"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-929",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:55:15.344Z",
            "success-count": 10
          },
          "uuid": "98caee2f-b9a1-4f66-a853-7248ae7c70a7"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (929)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:55:14.042Z",
            "success-count": 55
          },
          "uuid": "694fda91-8ea3-43f4-bb8a-2d2ab155a461"
        }
      ],
      "external-identifiers": {
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 1,
        "labels": [
          "k8s:kubernetes.azure.com/mode=system",
          "k8s:node-role.kubernetes.io/agent",
          "k8s:topology.disk.csi.azure.com/zone",
          "reserved:host",
          "k8s:kubernetes.azure.com/cluster=MC_cilium-cilium-3609902939_cilium-cilium-3609902939_westeurope",
          "k8s:agentpool=nodepool1",
          "k8s:kubernetes.azure.com/agentpool=nodepool1",
          "k8s:topology.kubernetes.io/zone=0",
          "k8s:node.kubernetes.io/instance-type=Standard_B2s",
          "k8s:kubernetes.azure.com/kubelet-identity-client-id=c57d3edc-a84e-4e5a-9d02-ca7e18b8c6ab",
          "k8s:kubernetes.azure.com/node-image-version=AKSUbuntu-1804gen2containerd-2022.11.02",
          "k8s:topology.kubernetes.io/region=westeurope",
          "k8s:kubernetes.azure.com/role=agent",
          "k8s:kubernetes.azure.com/os-sku=Ubuntu"
        ]
      },
      "labels": {
        "derived": [
          "k8s:agentpool=nodepool1",
          "k8s:kubernetes.azure.com/agentpool=nodepool1",
          "k8s:kubernetes.azure.com/cluster=MC_cilium-cilium-3609902939_cilium-cilium-3609902939_westeurope",
          "k8s:kubernetes.azure.com/kubelet-identity-client-id=c57d3edc-a84e-4e5a-9d02-ca7e18b8c6ab",
          "k8s:kubernetes.azure.com/mode=system",
          "k8s:kubernetes.azure.com/node-image-version=AKSUbuntu-1804gen2containerd-2022.11.02",
          "k8s:kubernetes.azure.com/os-sku=Ubuntu",
          "k8s:kubernetes.azure.com/role=agent",
          "k8s:node-role.kubernetes.io/agent",
          "k8s:node.kubernetes.io/instance-type=Standard_B2s",
          "k8s:topology.disk.csi.azure.com/zone",
          "k8s:topology.kubernetes.io/region=westeurope",
          "k8s:topology.kubernetes.io/zone=0",
          "reserved:host"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:agentpool=nodepool1",
          "k8s:kubernetes.azure.com/agentpool=nodepool1",
          "k8s:kubernetes.azure.com/cluster=MC_cilium-cilium-3609902939_cilium-cilium-3609902939_westeurope",
          "k8s:kubernetes.azure.com/kubelet-identity-client-id=c57d3edc-a84e-4e5a-9d02-ca7e18b8c6ab",
          "k8s:kubernetes.azure.com/mode=system",
          "k8s:kubernetes.azure.com/node-image-version=AKSUbuntu-1804gen2containerd-2022.11.02",
          "k8s:kubernetes.azure.com/os-sku=Ubuntu",
          "k8s:kubernetes.azure.com/role=agent",
          "k8s:node-role.kubernetes.io/agent",
          "k8s:node.kubernetes.io/instance-type=Standard_B2s",
          "k8s:topology.disk.csi.azure.com/zone",
          "k8s:topology.kubernetes.io/region=westeurope",
          "k8s:topology.kubernetes.io/zone=0",
          "reserved:host"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: syncing state to host)",
          "state": "ready",
          "timestamp": "2022-12-03T19:46:15Z"
        }
      ],
      "networking": {
        "addressing": [
          {}
        ],
        "host-mac": "62:8e:99:e5:05:4f",
        "interface-name": "cilium_host",
        "mac": "62:8e:99:e5:05:4f"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 57,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 57
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 929

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 929

```
Timestamp              Status   State          Message
2022-12-03T19:46:15Z   OK       ready          Successfully regenerated endpoint program (Reason: syncing state to host)
2022-12-03T19:46:15Z   OK       ready          Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:46:13Z   OK       regenerating   Regenerating endpoint: syncing state to host
2022-12-03T19:46:13Z   OK       restoring      Synchronizing endpoint labels with KVStore
2022-12-03T19:46:12Z   OK       restoring      Restoring endpoint from previous cilium instance
2022-12-03T19:46:11Z   OK       restoring      Endpoint restoring

```


#### Identity get 1

```
ID   LABELS
1    reserved:host

```


#### BPF Policy Get 1429

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES    PACKETS   
Allow    Ingress     0          ANY          NONE         755957   730       
Allow    Ingress     1          ANY          NONE         67920    777       
Allow    Egress      0          ANY          NONE         131204   1496      

```


#### BPF CT List 1429

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_01429: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_01429: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_01429: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_01429: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_01429: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_01429: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_01429: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_01429: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 1429

```
[
  {
    "id": 1429,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-1429-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "924de770-7f97-4827-bb2f-31af996ed545"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "restoring-ep-identity (1429)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:46:13.986Z",
            "success-count": 1
          },
          "uuid": "6c9b392f-b35d-4bc6-b69b-3411d751c6f2"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-1429",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:54:18.398Z",
            "success-count": 9
          },
          "uuid": "a1f45915-8a0e-4ac6-b152-25c948b137be"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (1429)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:55:14.069Z",
            "success-count": 55
          },
          "uuid": "5cc089d8-ecbd-4965-972a-77f3f9f06a9a"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "waiting-initial-global-identities-ep (1429)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:46:13.986Z",
            "success-count": 1
          },
          "uuid": "af99b1ca-4520-4339-b3a3-d576c3710394"
        }
      ],
      "external-identifiers": {
        "container-id": "bf425d7975d38ddf3fb5bbf38330184ed42add39ab62f1a49b3a432ed1c2a102",
        "k8s-namespace": "kube-system",
        "k8s-pod-name": "coredns-autoscaler-5589fb5654-zzfwt",
        "pod-name": "kube-system/coredns-autoscaler-5589fb5654-zzfwt"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 23721,
        "labels": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/cluster-service=true",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.serviceaccount=coredns-autoscaler",
          "k8s:k8s-app=coredns-autoscaler",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:io.cilium.k8s.namespace.labels.addonmanager.kubernetes.io/mode=Reconcile",
          "k8s:io.cilium.k8s.namespace.labels.control-plane=true"
        ]
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=5589fb5654"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.namespace.labels.addonmanager.kubernetes.io/mode=Reconcile",
          "k8s:io.cilium.k8s.namespace.labels.control-plane=true",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/cluster-service=true",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939",
          "k8s:io.cilium.k8s.policy.serviceaccount=coredns-autoscaler",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=coredns-autoscaler"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: syncing state to host)",
          "state": "ready",
          "timestamp": "2022-12-03T19:46:18Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.0.0.25"
          }
        ],
        "host-mac": "32:8f:00:fd:c8:ef",
        "interface-index": 13,
        "interface-name": "lxcba6a7b8481d1",
        "mac": "2e:e3:83:88:62:6c"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            1,
            0
          ],
          "build": 57,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 23721,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 57
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 23721,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 1429

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 1429

```
Timestamp              Status   State          Message
2022-12-03T19:46:18Z   OK       ready          Successfully regenerated endpoint program (Reason: syncing state to host)
2022-12-03T19:46:18Z   OK       ready          Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:46:15Z   OK       regenerating   Regenerating endpoint: syncing state to host
2022-12-03T19:46:13Z   OK       restoring      Synchronizing endpoint labels with KVStore
2022-12-03T19:46:12Z   OK       restoring      Restoring endpoint from previous cilium instance
2022-12-03T19:46:11Z   OK       restoring      Endpoint restoring

```


#### Identity get 23721

```
ID      LABELS
23721   k8s:io.cilium.k8s.namespace.labels.addonmanager.kubernetes.io/mode=Reconcile
        k8s:io.cilium.k8s.namespace.labels.control-plane=true
        k8s:io.cilium.k8s.namespace.labels.kubernetes.io/cluster-service=true
        k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system
        k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939
        k8s:io.cilium.k8s.policy.serviceaccount=coredns-autoscaler
        k8s:io.kubernetes.pod.namespace=kube-system
        k8s:k8s-app=coredns-autoscaler

```


#### BPF Policy Get 1989

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Allow    Ingress     0          ANY          NONE         4572    58        
Allow    Ingress     1          ANY          NONE         6660    76        
Allow    Egress      0          ANY          NONE         9353    115       

```


#### BPF CT List 1989

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_01989: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_01989: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_01989: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_01989: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_01989: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_01989: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_01989: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_01989: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 1989

```
[
  {
    "id": 1989,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-1989-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "e20ad5e9-56ed-4ad5-b1f3-f59ae7addea3"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-1989",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:51:15.144Z",
            "success-count": 2
          },
          "uuid": "dac5d56f-3abf-4123-b654-49088c5165bf"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-1989",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:54:18.678Z",
            "success-count": 9
          },
          "uuid": "1cf83854-4ec2-43f5-9d57-36ed4e26d119"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (1989)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:55:15.186Z",
            "success-count": 56
          },
          "uuid": "cc1fffe7-1932-46c0-9a9c-5b2557ae99db"
        }
      ],
      "external-identifiers": {
        "container-name": "cilium-health",
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 4,
        "labels": [
          "reserved:health"
        ]
      },
      "labels": {
        "realized": {},
        "security-relevant": [
          "reserved:health"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: updated security labels)",
          "state": "ready",
          "timestamp": "2022-12-03T19:46:18Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.0.0.42"
          }
        ],
        "host-mac": "e6:c5:5c:d1:22:3c",
        "interface-index": 25,
        "interface-name": "lxc_health",
        "mac": "42:a7:ee:ee:7c:8f"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 57,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 57
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 1989

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 1989

```
Timestamp              Status   State                   Message
2022-12-03T19:46:18Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2022-12-03T19:46:18Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:46:18Z   OK       regenerating            Regenerating endpoint: updated security labels
2022-12-03T19:46:15Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2022-12-03T19:46:15Z   OK       ready                   Set identity for this endpoint
2022-12-03T19:46:14Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 4

```
ID   LABELS
4    reserved:health

```


#### BPF Policy Get 3278

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES     PACKETS   
Allow    Ingress     0          ANY          NONE         2277925   1798      
Allow    Ingress     1          ANY          NONE         954811    5221      
Allow    Egress      0          ANY          NONE         1352621   6479      

```


#### BPF CT List 3278

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_03278: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_03278: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_03278: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_03278: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_03278: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_03278: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_03278: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_03278: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 3278

```
[
  {
    "id": 3278,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-3278-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "9dbb37ef-2cb8-42ac-852c-fa99e669134e"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "restoring-ep-identity (3278)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:46:13.987Z",
            "success-count": 1
          },
          "uuid": "d90c02bc-8d06-4ed3-a8aa-a8ff0585c476"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-3278",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:54:18.541Z",
            "success-count": 9
          },
          "uuid": "f1f7d7aa-d93b-4b63-9274-b29b91b85a9b"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (3278)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:55:14.070Z",
            "success-count": 55
          },
          "uuid": "b271cf59-1b3d-40f4-82cf-faf7bfe60b0b"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "waiting-initial-global-identities-ep (3278)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:46:13.987Z",
            "success-count": 1
          },
          "uuid": "c19e2475-2467-4e55-a0ed-ca4231f2e627"
        }
      ],
      "external-identifiers": {
        "container-id": "07a90e76d013dbcc4c6d0a5e1133d4e17fd8d2f964dfe31068b448ef4482ba24",
        "k8s-namespace": "kube-system",
        "k8s-pod-name": "metrics-server-f77b4cd8-nb2d6",
        "pod-name": "kube-system/metrics-server-f77b4cd8-nb2d6"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 16733,
        "labels": [
          "k8s:k8s-app=metrics-server",
          "k8s:io.cilium.k8s.namespace.labels.addonmanager.kubernetes.io/mode=Reconcile",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/cluster-service=true",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.namespace.labels.control-plane=true",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939",
          "k8s:io.cilium.k8s.policy.serviceaccount=metrics-server",
          "k8s:io.kubernetes.pod.namespace=kube-system"
        ]
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=f77b4cd8"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.namespace.labels.addonmanager.kubernetes.io/mode=Reconcile",
          "k8s:io.cilium.k8s.namespace.labels.control-plane=true",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/cluster-service=true",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939",
          "k8s:io.cilium.k8s.policy.serviceaccount=metrics-server",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=metrics-server"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: syncing state to host)",
          "state": "ready",
          "timestamp": "2022-12-03T19:46:18Z"
        }
      ],
      "namedPorts": [
        {
          "name": "ms-https",
          "port": 4443,
          "protocol": "TCP"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.0.0.52"
          }
        ],
        "host-mac": "9e:5d:30:2e:b5:86",
        "interface-index": 9,
        "interface-name": "lxcd462c11269ea",
        "mac": "86:b1:ba:b2:51:d3"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 57,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 16733,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 57
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 16733,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 3278

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 3278

```
Timestamp              Status   State          Message
2022-12-03T19:46:18Z   OK       ready          Successfully regenerated endpoint program (Reason: syncing state to host)
2022-12-03T19:46:18Z   OK       ready          Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:46:18Z   OK       regenerating   Regenerating endpoint: syncing state to host
2022-12-03T19:46:13Z   OK       restoring      Synchronizing endpoint labels with KVStore
2022-12-03T19:46:12Z   OK       restoring      Restoring endpoint from previous cilium instance
2022-12-03T19:46:11Z   OK       restoring      Endpoint restoring

```


#### Identity get 16733

```
ID      LABELS
16733   k8s:io.cilium.k8s.namespace.labels.addonmanager.kubernetes.io/mode=Reconcile
        k8s:io.cilium.k8s.namespace.labels.control-plane=true
        k8s:io.cilium.k8s.namespace.labels.kubernetes.io/cluster-service=true
        k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system
        k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939
        k8s:io.cilium.k8s.policy.serviceaccount=metrics-server
        k8s:io.kubernetes.pod.namespace=kube-system
        k8s:k8s-app=metrics-server

```


#### BPF Policy Get 3514

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES    PACKETS   
Allow    Ingress     0          ANY          NONE         109083   312       
Allow    Ingress     1          ANY          NONE         133365   1526      
Allow    Egress      0          ANY          NONE         176458   1647      

```


#### BPF CT List 3514

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_03514: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_03514: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_03514: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_03514: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_03514: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_03514: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_03514: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_03514: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 3514

```
[
  {
    "id": 3514,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-3514-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "17b4e273-d46c-40b2-b0d6-0a12a82be983"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "restoring-ep-identity (3514)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:46:14.018Z",
            "success-count": 1
          },
          "uuid": "a1961c83-2593-4f12-8d6a-f05bf27a0e9c"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-3514",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:54:18.541Z",
            "success-count": 9
          },
          "uuid": "a87c6b8e-b5e2-4601-9006-e3d19b855710"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (3514)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:55:14.070Z",
            "success-count": 55
          },
          "uuid": "dcdc546f-0513-4a8e-ab76-c79240016668"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "waiting-initial-global-identities-ep (3514)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-12-03T19:46:14.019Z",
            "success-count": 1
          },
          "uuid": "755bd60b-a88e-42c5-9d00-0aab574113ab"
        }
      ],
      "external-identifiers": {
        "container-id": "97b47c9911e7d33ea151f6ae113cdae896e6b3f682f8e5106b7f6c03e2d716f3",
        "k8s-namespace": "kube-system",
        "k8s-pod-name": "coredns-b4854dd98-fxnzc",
        "pod-name": "kube-system/coredns-b4854dd98-fxnzc"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 45252,
        "labels": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.namespace.labels.addonmanager.kubernetes.io/mode=Reconcile",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:io.cilium.k8s.namespace.labels.control-plane=true",
          "k8s:io.cilium.k8s.policy.serviceaccount=coredns",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/cluster-service=true",
          "k8s:k8s-app=kube-dns",
          "k8s:version=v20",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939"
        ]
      },
      "labels": {
        "derived": [
          "k8s:kubernetes.io/cluster-service=true",
          "k8s:pod-template-hash=b4854dd98"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.namespace.labels.addonmanager.kubernetes.io/mode=Reconcile",
          "k8s:io.cilium.k8s.namespace.labels.control-plane=true",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/cluster-service=true",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939",
          "k8s:io.cilium.k8s.policy.serviceaccount=coredns",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=kube-dns",
          "k8s:version=v20"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: syncing state to host)",
          "state": "ready",
          "timestamp": "2022-12-03T19:46:18Z"
        }
      ],
      "namedPorts": [
        {
          "name": "dns",
          "port": 53,
          "protocol": "UDP"
        },
        {
          "name": "dns-tcp",
          "port": 53,
          "protocol": "TCP"
        },
        {
          "name": "metrics",
          "port": 9153,
          "protocol": "TCP"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.0.0.118"
          }
        ],
        "host-mac": "9a:ff:e6:ac:19:54",
        "interface-index": 17,
        "interface-name": "lxc7222276ea5c9",
        "mac": "2e:e9:36:f2:05:21"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 57,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 45252,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 57
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 45252,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 3514

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 3514

```
Timestamp              Status   State          Message
2022-12-03T19:46:18Z   OK       ready          Successfully regenerated endpoint program (Reason: syncing state to host)
2022-12-03T19:46:18Z   OK       ready          Completed endpoint regeneration with no pending regeneration requests
2022-12-03T19:46:18Z   OK       regenerating   Regenerating endpoint: syncing state to host
2022-12-03T19:46:14Z   OK       restoring      Synchronizing endpoint labels with KVStore
2022-12-03T19:46:12Z   OK       restoring      Restoring endpoint from previous cilium instance
2022-12-03T19:46:11Z   OK       restoring      Endpoint restoring

```


#### Identity get 45252

```
ID      LABELS
45252   k8s:io.cilium.k8s.namespace.labels.addonmanager.kubernetes.io/mode=Reconcile
        k8s:io.cilium.k8s.namespace.labels.control-plane=true
        k8s:io.cilium.k8s.namespace.labels.kubernetes.io/cluster-service=true
        k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system
        k8s:io.cilium.k8s.policy.cluster=cilium-cilium-3609902939
        k8s:io.cilium.k8s.policy.serviceaccount=coredns
        k8s:io.kubernetes.pod.namespace=kube-system
        k8s:k8s-app=kube-dns
        k8s:version=v20

```

