[
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.177",
          "nodeName": "aks-nodepool1-82381179-vmss000000",
          "port": 4245,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "name": "hubble-relay",
        "namespace": "kube-system",
        "trafficPolicy": "Cluster",
        "type": "ClusterIP"
      },
      "frontend-address": {
        "ip": "10.0.90.105",
        "port": 80,
        "scope": "external"
      },
      "id": 5
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.177",
            "nodeName": "aks-nodepool1-82381179-vmss000000",
            "port": 4245,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "name": "hubble-relay",
          "namespace": "kube-system",
          "trafficPolicy": "Cluster",
          "type": "ClusterIP"
        },
        "frontend-address": {
          "ip": "10.0.90.105",
          "port": 80,
          "scope": "external"
        },
        "id": 5
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.163",
          "nodeName": "aks-nodepool1-82381179-vmss000000",
          "port": 8080,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "name": "echo-same-node",
        "namespace": "cilium-test",
        "trafficPolicy": "Cluster",
        "type": "ClusterIP"
      },
      "frontend-address": {
        "ip": "10.0.202.97",
        "port": 8080,
        "scope": "external"
      },
      "id": 6
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.163",
            "nodeName": "aks-nodepool1-82381179-vmss000000",
            "port": 8080,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "name": "echo-same-node",
          "namespace": "cilium-test",
          "trafficPolicy": "Cluster",
          "type": "ClusterIP"
        },
        "frontend-address": {
          "ip": "10.0.202.97",
          "port": 8080,
          "scope": "external"
        },
        "id": 6
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.0.172",
          "nodeName": "aks-nodepool1-82381179-vmss000001",
          "port": 8080,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "name": "echo-other-node",
        "namespace": "cilium-test",
        "trafficPolicy": "Cluster",
        "type": "ClusterIP"
      },
      "frontend-address": {
        "ip": "10.0.50.222",
        "port": 8080,
        "scope": "external"
      },
      "id": 7
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.0.172",
            "nodeName": "aks-nodepool1-82381179-vmss000001",
            "port": 8080,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "name": "echo-other-node",
          "namespace": "cilium-test",
          "trafficPolicy": "Cluster",
          "type": "ClusterIP"
        },
        "frontend-address": {
          "ip": "10.0.50.222",
          "port": 8080,
          "scope": "external"
        },
        "id": 7
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.0.118",
          "nodeName": "aks-nodepool1-82381179-vmss000001",
          "port": 53,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.191",
          "nodeName": "aks-nodepool1-82381179-vmss000001",
          "port": 53,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "name": "kube-dns",
        "namespace": "kube-system",
        "trafficPolicy": "Cluster",
        "type": "ClusterIP"
      },
      "frontend-address": {
        "ip": "10.0.0.10",
        "port": 53,
        "scope": "external"
      },
      "id": 2
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.0.118",
            "nodeName": "aks-nodepool1-82381179-vmss000001",
            "port": 53,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.191",
            "nodeName": "aks-nodepool1-82381179-vmss000001",
            "port": 53,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "name": "kube-dns",
          "namespace": "kube-system",
          "trafficPolicy": "Cluster",
          "type": "ClusterIP"
        },
        "frontend-address": {
          "ip": "10.0.0.10",
          "port": 53,
          "scope": "external"
        },
        "id": 2
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "20.50.40.190",
          "port": 443,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "name": "kubernetes",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "ClusterIP"
      },
      "frontend-address": {
        "ip": "10.0.0.1",
        "port": 443,
        "scope": "external"
      },
      "id": 1
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "20.50.40.190",
            "port": 443,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "name": "kubernetes",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "ClusterIP"
        },
        "frontend-address": {
          "ip": "10.0.0.1",
          "port": 443,
          "scope": "external"
        },
        "id": 1
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.0.52",
          "nodeName": "aks-nodepool1-82381179-vmss000001",
          "port": 4443,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.240",
          "nodeName": "aks-nodepool1-82381179-vmss000001",
          "port": 4443,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "name": "metrics-server",
        "namespace": "kube-system",
        "trafficPolicy": "Cluster",
        "type": "ClusterIP"
      },
      "frontend-address": {
        "ip": "10.0.134.0",
        "port": 443,
        "scope": "external"
      },
      "id": 3
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.0.52",
            "nodeName": "aks-nodepool1-82381179-vmss000001",
            "port": 4443,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.240",
            "nodeName": "aks-nodepool1-82381179-vmss000001",
            "port": 4443,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "name": "metrics-server",
          "namespace": "kube-system",
          "trafficPolicy": "Cluster",
          "type": "ClusterIP"
        },
        "frontend-address": {
          "ip": "10.0.134.0",
          "port": 443,
          "scope": "external"
        },
        "id": 3
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.224.0.4",
          "nodeName": "aks-nodepool1-82381179-vmss000000",
          "port": 4244,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.224.0.5",
          "nodeName": "aks-nodepool1-82381179-vmss000001",
          "port": 4244,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "name": "hubble-peer",
        "namespace": "kube-system",
        "trafficPolicy": "Cluster",
        "type": "ClusterIP"
      },
      "frontend-address": {
        "ip": "10.0.94.2",
        "port": 443,
        "scope": "external"
      },
      "id": 4
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.224.0.4",
            "nodeName": "aks-nodepool1-82381179-vmss000000",
            "port": 4244,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.224.0.5",
            "nodeName": "aks-nodepool1-82381179-vmss000001",
            "port": 4244,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "name": "hubble-peer",
          "namespace": "kube-system",
          "trafficPolicy": "Cluster",
          "type": "ClusterIP"
        },
        "frontend-address": {
          "ip": "10.0.94.2",
          "port": 443,
          "scope": "external"
        },
        "id": 4
      }
    }
  }
]

